load("@bazel_gazelle//:deps.bzl", "go_repository")

def go_repositories():
    go_repository(
        name = "co_honnef_go_tools",
        build_naming_convention = "go_default_library",
        importpath = "honnef.co/go/tools",
        replace = "honnef.co/go/tools",
        sum = "h1:3JgtbtFHMiCmsznwGVTUWbgGov+pVqnlf1dEJTNAXeM=",
        version = "v0.0.1-2019.2.3",
    )
    go_repository(
        name = "com_github_abbot_go_http_auth",
        commit = "860ed7f246ff5abfdbd5c7ce618fd37b49fd3d86",
        importpath = "github.com/abbot/go-http-auth",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_agnivade_levenshtein",
        importpath = "github.com/agnivade/levenshtein",
        replace = "github.com/agnivade/levenshtein",
        sum = "h1:3oJU7J3FGFmyhn8KHjmVaZCN5hxTr7GxgRue+sxIXdQ=",
        version = "v1.0.1",
    )
    go_repository(
        name = "com_github_ajstarks_svgo",
        importpath = "github.com/ajstarks/svgo",
        replace = "github.com/ajstarks/svgo",
        sum = "h1:wVe6/Ea46ZMeNkQjjBW6xcqyQA/j5e0D6GytH95g0gQ=",
        version = "v0.0.0-20180226025133-644b8db467af",
    )

    go_repository(
        name = "com_github_alecthomas_template",
        build_naming_convention = "go_default_library",
        importpath = "github.com/alecthomas/template",
        replace = "github.com/alecthomas/template",
        sum = "h1:JYp7IbQjafoB+tBA3gMyHYHrpOtNuDiK/uB5uXxq5wM=",
        version = "v0.0.0-20190718012654-fb15b899a751",
    )

    go_repository(
        name = "com_github_alecthomas_units",
        build_naming_convention = "go_default_library",
        importpath = "github.com/alecthomas/units",
        replace = "github.com/alecthomas/units",
        sum = "h1:Hs82Z41s6SdL1CELW+XaDYmOH4hkBN4/N9og/AsOv7E=",
        version = "v0.0.0-20190717042225-c3de453c63f4",
    )
    go_repository(
        name = "com_github_andreyvit_diff",
        importpath = "github.com/andreyvit/diff",
        replace = "github.com/andreyvit/diff",
        sum = "h1:bvNMNQO63//z+xNgfBlViaCIJKLlCJ6/fmUseuG0wVQ=",
        version = "v0.0.0-20170406064948-c7f18ee00883",
    )
    go_repository(
        name = "com_github_armon_circbuf",
        importpath = "github.com/armon/circbuf",
        replace = "github.com/armon/circbuf",
        sum = "h1:QEF07wC0T1rKkctt1RINW/+RMTVmiwxETico2l3gxJA=",
        version = "v0.0.0-20150827004946-bbbad097214e",
    )

    go_repository(
        name = "com_github_armon_consul_api",
        build_naming_convention = "go_default_library",
        importpath = "github.com/armon/consul-api",
        replace = "github.com/armon/consul-api",
        sum = "h1:G1bPvciwNyF7IUmKXNt9Ak3m6u9DE1rF+RmtIkBpVdA=",
        version = "v0.0.0-20180202201655-eb2c6b5be1b6",
    )

    go_repository(
        name = "com_github_arran4_golang_ical",
        importpath = "github.com/arran4/golang-ical",
        build_naming_convention = "go_default_library",
        sum = "h1:oOgavmDMGCnNtwZwNoXuK3jCcpF3I96Do9/5qPeSCr8=",
        version = "v0.0.0-20210601225245-48fd351b08e7",
    )
    go_repository(
        name = "com_github_asaskevich_govalidator",
        build_naming_convention = "go_default_library",
        importpath = "github.com/asaskevich/govalidator",
        replace = "github.com/asaskevich/govalidator",
        sum = "h1:idn718Q4B6AGu/h5Sxe66HYVdqdGu2l9Iebqhi/AEoA=",
        version = "v0.0.0-20190424111038-f61b66f89f4a",
    )
    go_repository(
        name = "com_github_auth0_go_jwt_middleware",
        importpath = "github.com/auth0/go-jwt-middleware",
        replace = "github.com/auth0/go-jwt-middleware",
        sum = "h1:irR1cO6eek3n5uquIVaRAsQmZnlsfPuHNz31cXo4eyk=",
        version = "v0.0.0-20170425171159-5493cabe49f7",
    )
    go_repository(
        name = "com_github_aws_aws_sdk_go",
        importpath = "github.com/aws/aws-sdk-go",
        replace = "github.com/aws/aws-sdk-go",
        sum = "h1:j5IXG9CdyLfcVfICqo1PXVv+rua+QQHbkXuvuU/JF+8=",
        version = "v1.28.2",
    )
    go_repository(
        name = "com_github_azure_azure_sdk_for_go",
        importpath = "github.com/Azure/azure-sdk-for-go",
        replace = "github.com/Azure/azure-sdk-for-go",
        sum = "h1:/wSNCu0e6EsHFR4Qa3vBEBbicaprEHMyyga9g8RTULI=",
        version = "v43.0.0+incompatible",
    )

    go_repository(
        name = "com_github_azure_go_ansiterm",
        build_naming_convention = "go_default_library",
        importpath = "github.com/Azure/go-ansiterm",
        replace = "github.com/Azure/go-ansiterm",
        sum = "h1:w+iIsaOQNcT7OZ575w+acHgRric5iCyQh+xv+KJ4HB8=",
        version = "v0.0.0-20170929234023-d6e3b3328b78",
    )

    go_repository(
        name = "com_github_azure_go_autorest",
        importpath = "github.com/Azure/go-autorest",
        build_naming_convention = "go_default_library",
        tag = "v11.5.0",
    )
    go_repository(
        name = "com_github_azure_go_autorest_autorest",
        importpath = "github.com/Azure/go-autorest/autorest",
        replace = "github.com/Azure/go-autorest/autorest",
        sum = "h1:5YWtOnckcudzIw8lPPBcWOnmIFWMtHci1ZWAZulMSx0=",
        version = "v0.9.6",
    )
    go_repository(
        name = "com_github_azure_go_autorest_autorest_adal",
        importpath = "github.com/Azure/go-autorest/autorest/adal",
        replace = "github.com/Azure/go-autorest/autorest/adal",
        sum = "h1:O1X4oexUxnZCaEUGsvMnr8ZGj8HI37tNezwY4npRqA0=",
        version = "v0.8.2",
    )
    go_repository(
        name = "com_github_azure_go_autorest_autorest_date",
        importpath = "github.com/Azure/go-autorest/autorest/date",
        replace = "github.com/Azure/go-autorest/autorest/date",
        sum = "h1:yW+Zlqf26583pE43KhfnhFcdmSWlm5Ew6bxipnr/tbM=",
        version = "v0.2.0",
    )
    go_repository(
        name = "com_github_azure_go_autorest_autorest_mocks",
        importpath = "github.com/Azure/go-autorest/autorest/mocks",
        replace = "github.com/Azure/go-autorest/autorest/mocks",
        sum = "h1:qJumjCaCudz+OcqE9/XtEPfvtOjOmKaui4EOpFI6zZc=",
        version = "v0.3.0",
    )
    go_repository(
        name = "com_github_azure_go_autorest_autorest_to",
        importpath = "github.com/Azure/go-autorest/autorest/to",
        replace = "github.com/Azure/go-autorest/autorest/to",
        sum = "h1:nQOZzFCudTh+TvquAtCRjM01VEYx85e9qbwt5ncW4L8=",
        version = "v0.2.0",
    )
    go_repository(
        name = "com_github_azure_go_autorest_logger",
        importpath = "github.com/Azure/go-autorest/logger",
        replace = "github.com/Azure/go-autorest/logger",
        sum = "h1:ruG4BSDXONFRrZZJ2GUXDiUyVpayPmb1GnWeHDdaNKY=",
        version = "v0.1.0",
    )
    go_repository(
        name = "com_github_azure_go_autorest_tracing",
        importpath = "github.com/Azure/go-autorest/tracing",
        replace = "github.com/Azure/go-autorest/tracing",
        sum = "h1:TRn4WjSnkcSy5AEG3pnbtFSwNtwzjr4VYyQflFE619k=",
        version = "v0.5.0",
    )

    go_repository(
        name = "com_github_beorn7_perks",
        build_naming_convention = "go_default_library",
        importpath = "github.com/beorn7/perks",
        replace = "github.com/beorn7/perks",
        sum = "h1:VlbKKnNfV8bJzeqoa4cOKqO6bYr3WgKZxO8Z16+hsOM=",
        version = "v1.0.1",
    )

    go_repository(
        name = "com_github_bgentry_speakeasy",
        build_naming_convention = "go_default_library",
        importpath = "github.com/bgentry/speakeasy",
        replace = "github.com/bgentry/speakeasy",
        sum = "h1:ByYyxL9InA1OWqxJqqp2A5pYHUrCiAL6K3J+LKSsQkY=",
        version = "v0.1.0",
    )
    go_repository(
        name = "com_github_bifurcation_mint",
        importpath = "github.com/bifurcation/mint",
        replace = "github.com/bifurcation/mint",
        sum = "h1:fUjoj2bT6dG8LoEe+uNsKk8J+sLkDbQkJnB6Z1F02Bc=",
        version = "v0.0.0-20180715133206-93c51c6ce115",
    )

    go_repository(
        name = "com_github_bitnami_kubecfg",
        importpath = "github.com/bitnami/kubecfg",
        build_naming_convention = "go_default_library",
        vcs = "git",
        commit = "5070ed28ed12016b0ca75dcfd257f567f581c095",
        remote = "https://github.com/q3k/kubecfg",
        build_extra_args = ["-exclude=vendor"],
    )

    go_repository(
        name = "com_github_blang_semver",
        build_naming_convention = "go_default_library",
        importpath = "github.com/blang/semver",
        replace = "github.com/blang/semver",
        sum = "h1:CGxCgetQ64DKk7rdZ++Vfnb1+ogGNnB17OJKJXD2Cfs=",
        version = "v3.5.0+incompatible",
    )

    go_repository(
        name = "com_github_boltdb_bolt",
        build_naming_convention = "go_default_library",
        importpath = "github.com/boltdb/bolt",
        replace = "github.com/boltdb/bolt",
        sum = "h1:JQmyP4ZBrce+ZQu0dY660FMfatumYDLun9hBCUVIkF4=",
        version = "v1.3.1",
    )
    go_repository(
        name = "com_github_burntsushi_toml",
        build_naming_convention = "go_default_library",
        importpath = "github.com/BurntSushi/toml",
        replace = "github.com/BurntSushi/toml",
        sum = "h1:WXkYYl6Yr3qBf1K79EBnL4mak0OimBfB0XUf9Vl28OQ=",
        version = "v0.3.1",
    )

    go_repository(
        name = "com_github_burntsushi_xgb",
        build_naming_convention = "go_default_library",
        importpath = "github.com/BurntSushi/xgb",
        replace = "github.com/BurntSushi/xgb",
        sum = "h1:1BDTz0u9nC3//pOCMdNH+CiXJVYJh5UQNCOBG7jbELc=",
        version = "v0.0.0-20160522181843-27f122750802",
    )
    go_repository(
        name = "com_github_caddyserver_caddy",
        importpath = "github.com/caddyserver/caddy",
        replace = "github.com/caddyserver/caddy",
        sum = "h1:i9gRhBgvc5ifchwWtSe7pDpsdS9+Q0Rw9oYQmYUTw1w=",
        version = "v1.0.3",
    )

    go_repository(
        name = "com_github_cenkalti_backoff",
        build_naming_convention = "go_default_library",
        importpath = "github.com/cenkalti/backoff",
        replace = "github.com/cenkalti/backoff",
        sum = "h1:tKJnvO2kl0zmb/jA5UKAt4VoEVw1qxKWjE/Bpp46npY=",
        version = "v2.1.1+incompatible",
    )

    go_repository(
        name = "com_github_census_instrumentation_opencensus_proto",
        importpath = "github.com/census-instrumentation/opencensus-proto",
        build_naming_convention = "go_default_library",
        sum = "h1:t/LhUZLVitR1Ow2YOnduCsavhwFUklBMoGVYUCqmCqk=",
        version = "v0.3.0",
        build_extra_args = ["-exclude=src"],
    )
    go_repository(
        name = "com_github_cespare_xxhash",
        commit = "d7df74196a9e781ede915320c11c378c1b2f3a1f",
        importpath = "github.com/cespare/xxhash",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_cespare_xxhash_v2",
        importpath = "github.com/cespare/xxhash/v2",
        replace = "github.com/cespare/xxhash/v2",
        sum = "h1:6MnRN8NT7+YBpUIWxHtefFZOKTAPgGjpQSxqLNn0+qY=",
        version = "v2.1.1",
    )

    go_repository(
        name = "com_github_chai2010_gettext_go",
        commit = "c6fed771bfd5",
        importpath = "github.com/chai2010/gettext-go",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_checkpoint_restore_go_criu_v4",
        importpath = "github.com/checkpoint-restore/go-criu/v4",
        replace = "github.com/checkpoint-restore/go-criu/v4",
        sum = "h1:jt+rnBIhFtPw0fhtpYGcUOilh4aO9Hj7r+YLEtf30uA=",
        version = "v4.0.2",
    )
    go_repository(
        name = "com_github_cheekybits_genny",
        importpath = "github.com/cheekybits/genny",
        replace = "github.com/cheekybits/genny",
        sum = "h1:a1zrFsLFac2xoM6zG1u72DWJwZG3ayttYLfmLbxVETk=",
        version = "v0.0.0-20170328200008-9127e812e1e9",
    )
    go_repository(
        name = "com_github_chzyer_logex",
        importpath = "github.com/chzyer/logex",
        replace = "github.com/chzyer/logex",
        sum = "h1:Swpa1K6QvQznwJRcfTfQJmTE72DqScAa40E+fbHEXEE=",
        version = "v1.1.10",
    )
    go_repository(
        name = "com_github_chzyer_readline",
        importpath = "github.com/chzyer/readline",
        replace = "github.com/chzyer/readline",
        sum = "h1:fY5BOSpyZCqRo5OhCuC+XN+r/bBCmeuuJtjz+bCNIf8=",
        version = "v0.0.0-20180603132655-2972be24d48e",
    )
    go_repository(
        name = "com_github_chzyer_test",
        importpath = "github.com/chzyer/test",
        replace = "github.com/chzyer/test",
        sum = "h1:q763qf9huN11kDQavWsoZXJNW3xEE4JJyHa5Q25/sd8=",
        version = "v0.0.0-20180213035817-a1ea475d72b1",
    )
    go_repository(
        name = "com_github_cilium_ebpf",
        importpath = "github.com/cilium/ebpf",
        replace = "github.com/cilium/ebpf",
        sum = "h1:cHzBGGVew0ezFsq2grfy2RsB8hO/eNyBgOLHBCqfR1U=",
        version = "v0.0.0-20200702112145-1c8d4c9ef775",
    )

    go_repository(
        name = "com_github_client9_misspell",
        importpath = "github.com/client9/misspell",
        build_naming_convention = "go_default_library",
        tag = "v0.3.4",
    )
    go_repository(
        name = "com_github_cloudflare_cfrpki",
        commit = "adece784464315db69299ba75e9287c60cd95c69",
        importpath = "github.com/cloudflare/cfrpki",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_cloudflare_cfssl",
        commit = "768cd563887febaad559b511aaa5964823ccb4ab",
        importpath = "github.com/cloudflare/cfssl",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_cloudflare_gortr",
        commit = "95270606e8853d9b93f5be46d656d08ec0a4ef09",
        importpath = "github.com/cloudflare/gortr",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_clusterhq_flocker_go",
        importpath = "github.com/clusterhq/flocker-go",
        replace = "github.com/clusterhq/flocker-go",
        sum = "h1:eIHD9GNM3Hp7kcRW5mvcz7WTR3ETeoYYKwpgA04kaXE=",
        version = "v0.0.0-20160920122132-2b8b7259d313",
    )

    go_repository(
        name = "com_github_cockroachdb_cockroach_go",
        commit = "e0a95dfd547cc9c3ebaaba1a12c2afe4bf621ac5",
        importpath = "github.com/cockroachdb/cockroach-go",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_cockroachdb_datadriven",
        build_naming_convention = "go_default_library",
        importpath = "github.com/cockroachdb/datadriven",
        replace = "github.com/cockroachdb/datadriven",
        sum = "h1:OaNxuTZr7kxeODyLWsRMC+OD03aFUH+mW6r2d+MWa5Y=",
        version = "v0.0.0-20190809214429-80d97fb3cbaa",
    )
    go_repository(
        name = "com_github_codegangsta_negroni",
        importpath = "github.com/codegangsta/negroni",
        replace = "github.com/codegangsta/negroni",
        sum = "h1:+aYywywx4bnKXWvoWtRfJ91vC59NbEhEY03sZjQhbVY=",
        version = "v1.0.0",
    )
    go_repository(
        name = "com_github_container_storage_interface_spec",
        importpath = "github.com/container-storage-interface/spec",
        replace = "github.com/container-storage-interface/spec",
        sum = "h1:bD9KIVgaVKKkQ/UbVUY9kCaH/CJbhNxe0eeB4JeJV2s=",
        version = "v1.2.0",
    )
    go_repository(
        name = "com_github_containerd_cgroups",
        importpath = "github.com/containerd/cgroups",
        replace = "github.com/containerd/cgroups",
        sum = "h1:qWj4qVYZ95vLWwqyNJCQg7rDsG5wPdze0UaPolH7DUk=",
        version = "v0.0.0-20200531161412-0dbf7f05ba59",
    )
    go_repository(
        name = "com_github_containerd_console",
        importpath = "github.com/containerd/console",
        replace = "github.com/containerd/console",
        sum = "h1:fU3UuQapBs+zLJu82NhR11Rif1ny2zfMMAyPJzSN5tQ=",
        version = "v1.0.0",
    )
    go_repository(
        name = "com_github_containerd_containerd",
        importpath = "github.com/containerd/containerd",
        replace = "github.com/containerd/containerd",
        sum = "h1:LoIzb5y9x5l8VKAlyrbusNPXqBY0+kviRloxFUMFwKc=",
        version = "v1.3.3",
    )

    go_repository(
        name = "com_github_containerd_continuity",
        build_naming_convention = "go_default_library",
        importpath = "github.com/containerd/continuity",
        replace = "github.com/containerd/continuity",
        sum = "h1:TP+534wVlf61smEIq1nwLLAjQVEK2EADoW3CX9AuT+8=",
        version = "v0.0.0-20190426062206-aaeac12a7ffc",
    )
    go_repository(
        name = "com_github_containerd_fifo",
        importpath = "github.com/containerd/fifo",
        replace = "github.com/containerd/fifo",
        sum = "h1:PUD50EuOMkXVcpBIA/R95d56duJR9VxhwncsFbNnxW4=",
        version = "v0.0.0-20190226154929-a9fb20d87448",
    )
    go_repository(
        name = "com_github_containerd_go_runc",
        importpath = "github.com/containerd/go-runc",
        replace = "github.com/containerd/go-runc",
        sum = "h1:esQOJREg8nw8aXj6uCN5dfW5cKUBiEJ/+nni1Q/D/sw=",
        version = "v0.0.0-20180907222934-5a6d9f37cfa3",
    )
    go_repository(
        name = "com_github_containerd_ttrpc",
        importpath = "github.com/containerd/ttrpc",
        replace = "github.com/containerd/ttrpc",
        sum = "h1:NY8Zk2i7TpkLxrkOASo+KTFq9iNCEmMH2/ZG9OuOw6k=",
        version = "v1.0.0",
    )
    go_repository(
        name = "com_github_containerd_typeurl",
        importpath = "github.com/containerd/typeurl",
        replace = "github.com/containerd/typeurl",
        sum = "h1:7LMH7LfEmpWeCkGcIputvd4P0Rnd0LrIv1Jk2s5oobs=",
        version = "v1.0.0",
    )
    go_repository(
        name = "com_github_containernetworking_cni",
        importpath = "github.com/containernetworking/cni",
        replace = "github.com/containernetworking/cni",
        sum = "h1:BT9lpgGoH4jw3lFC7Odz2prU5ruiYKcgAjMCbgybcKI=",
        version = "v0.8.0",
    )
    go_repository(
        name = "com_github_coredns_corefile_migration",
        importpath = "github.com/coredns/corefile-migration",
        replace = "github.com/coredns/corefile-migration",
        sum = "h1:7HI4r5S5Fne749a+JDxUZppqBpYoZK8Q53ZVK9cn3aM=",
        version = "v1.0.10",
    )
    go_repository(
        name = "com_github_coreos_bbolt",
        importpath = "github.com/coreos/bbolt",
        replace = "github.com/coreos/bbolt",
        sum = "h1:wZwiHHUieZCquLkDL0B8UhzreNWsPHooDAG3q34zk0s=",
        version = "v1.3.2",
    )

    go_repository(
        name = "com_github_coreos_clair",
        commit = "44ae4bc9590a",
        importpath = "github.com/coreos/clair",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_coreos_etcd",
        build_naming_convention = "go_default_library",
        importpath = "github.com/coreos/etcd",
        replace = "github.com/coreos/etcd",
        sum = "h1:jFneRYjIvLMLhDLCzuTuU4rSJUjRplcJQ7pD7MnhC04=",
        version = "v3.3.10+incompatible",
    )

    go_repository(
        name = "com_github_coreos_go_etcd",
        importpath = "github.com/coreos/go-etcd",
        build_naming_convention = "go_default_library",
        tag = "v2.0.0",
    )

    go_repository(
        name = "com_github_coreos_go_oidc",
        build_naming_convention = "go_default_library",
        importpath = "github.com/coreos/go-oidc",
        replace = "github.com/coreos/go-oidc",
        sum = "h1:sdJrfw8akMnCuUlaZU3tE/uYXFgfqom8DBE9so9EBsM=",
        version = "v2.1.0+incompatible",
    )

    go_repository(
        name = "com_github_coreos_go_semver",
        build_naming_convention = "go_default_library",
        importpath = "github.com/coreos/go-semver",
        replace = "github.com/coreos/go-semver",
        sum = "h1:wkHLiw0WNATZnSG7epLsujiMCgPAc9xhjJ4tgnAxmfM=",
        version = "v0.3.0",
    )

    go_repository(
        name = "com_github_coreos_go_systemd",
        build_naming_convention = "go_default_library",
        importpath = "github.com/coreos/go-systemd",
        replace = "github.com/coreos/go-systemd",
        sum = "h1:Wf6HqHfScWJN9/ZjdUKyjop4mf3Qdd+1TvvltAvM3m8=",
        version = "v0.0.0-20190321100706-95778dfbb74e",
    )
    go_repository(
        name = "com_github_coreos_go_systemd_v22",
        importpath = "github.com/coreos/go-systemd/v22",
        replace = "github.com/coreos/go-systemd/v22",
        sum = "h1:kq/SbG2BCKLkDKkjQf5OWwKWUKj1lgs3lFI4PxnR5lg=",
        version = "v22.1.0",
    )

    go_repository(
        name = "com_github_coreos_pkg",
        build_naming_convention = "go_default_library",
        importpath = "github.com/coreos/pkg",
        replace = "github.com/coreos/pkg",
        sum = "h1:lBNOc5arjvs8E5mO2tbpBpLoyyu8B6e44T7hJy6potg=",
        version = "v0.0.0-20180928190104-399ea9e2e55f",
    )

    go_repository(
        name = "com_github_cpuguy83_go_md2man",
        importpath = "github.com/cpuguy83/go-md2man",
        build_naming_convention = "go_default_library",
        tag = "v1.0.10",
    )
    go_repository(
        name = "com_github_cpuguy83_go_md2man_v2",
        importpath = "github.com/cpuguy83/go-md2man/v2",
        replace = "github.com/cpuguy83/go-md2man/v2",
        sum = "h1:EoUDS0afbrsXAZ9YQ9jdu/mZ2sXgT1/2yyNng4PGlyM=",
        version = "v2.0.0",
    )

    go_repository(
        name = "com_github_creack_pty",
        build_naming_convention = "go_default_library",
        importpath = "github.com/creack/pty",
        replace = "github.com/creack/pty",
        sum = "h1:6pwm8kMQKCmgUg0ZHTm5+/YvRK0s3THD/28+T6/kk4A=",
        version = "v1.1.7",
    )
    go_repository(
        name = "com_github_cyphar_filepath_securejoin",
        importpath = "github.com/cyphar/filepath-securejoin",
        replace = "github.com/cyphar/filepath-securejoin",
        sum = "h1:jCwT2GTP+PY5nBz3c/YL5PAIbusElVrPujOBSCj8xRg=",
        version = "v0.2.2",
    )

    go_repository(
        name = "com_github_davecgh_go_spew",
        build_naming_convention = "go_default_library",
        importpath = "github.com/davecgh/go-spew",
        replace = "github.com/davecgh/go-spew",
        sum = "h1:vj9j/u1bqnvCEfJOwUhtlOARqs3+rkHYY13jYWTU97c=",
        version = "v1.1.1",
    )

    go_repository(
        name = "com_github_daviddengcn_go_colortext",
        commit = "511bcaf42ccd",
        importpath = "github.com/daviddengcn/go-colortext",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_dgraph_io_ristretto",
        commit = "83508260cb49a2c3261c2774c991870fd18b5a1b",
        importpath = "github.com/dgraph-io/ristretto",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_dgrijalva_jwt_go",
        build_naming_convention = "go_default_library",
        importpath = "github.com/dgrijalva/jwt-go",
        replace = "github.com/dgrijalva/jwt-go",
        sum = "h1:7qlOGliEKZXTDg6OTjfoBKDXWrumCAMpl/TFQ4/5kLM=",
        version = "v3.2.0+incompatible",
    )

    go_repository(
        name = "com_github_digitalocean_go_netbox",
        importpath = "github.com/digitalocean/go-netbox",
        build_naming_convention = "go_default_library",
        tag = "v0.0.2",
    )
    go_repository(
        name = "com_github_djherbis_atime",
        commit = "2d569978378562c466df74eda2d82900f435c5f4",
        importpath = "github.com/djherbis/atime",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_docker_cli",
        urls = ["https://github.com/docker/cli/archive/54c19e67f69c.tar.gz"],
        importpath = "github.com/docker/cli",
        build_naming_convention = "go_default_library",
        build_extra_args = ["-exclude=vendor"],
        strip_prefix = "cli-54c19e67f69ce1d20ec46d090654326079287a0f",
    )

    go_repository(
        name = "com_github_docker_distribution",
        build_extra_args = ["-exclude=vendor"],
        build_naming_convention = "go_default_library",
        importpath = "github.com/docker/distribution",
        replace = "github.com/docker/distribution",
        sum = "h1:a5mlkVzth6W5A4fOsS3D2EO5BUmsJpcB+cRlLU7cSug=",
        version = "v2.7.1+incompatible",
    )

    go_repository(
        name = "com_github_docker_docker",
        build_naming_convention = "go_default_library",
        importpath = "github.com/docker/docker",
        replace = "github.com/docker/docker",
        sum = "h1:zviRyz1SWO8+WVJbi9/jlJCkrsZ54r/lTRbgtcaQhLs=",
        version = "v1.4.2-0.20200309214505-aa6a9891b09c",
    )

    go_repository(
        name = "com_github_docker_docker_ce",
        urls = ["https://github.com/docker/docker-ce/archive/f53bd8bb8e43.tar.gz"],
        importpath = "github.com/docker/docker-ce",
        build_naming_convention = "go_default_library",
        build_extra_args = ["-exclude=components/cli/vendor"],
        strip_prefix = "docker-ce-f53bd8bb8e43cb690048cd88d2ee41d39adaece3",
    )

    go_repository(
        name = "com_github_docker_docker_credential_helpers",
        importpath = "github.com/docker/docker-credential-helpers",
        build_naming_convention = "go_default_library",
        tag = "v0.6.1",
    )

    go_repository(
        name = "com_github_docker_go_connections",
        build_naming_convention = "go_default_library",
        importpath = "github.com/docker/go-connections",
        replace = "github.com/docker/go-connections",
        sum = "h1:El9xVISelRB7BuFusrZozjnkIM5YnzCViNKohAFqRJQ=",
        version = "v0.4.0",
    )

    go_repository(
        name = "com_github_docker_go_metrics",
        commit = "399ea8c73916",
        importpath = "github.com/docker/go-metrics",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_docker_go_units",
        build_naming_convention = "go_default_library",
        importpath = "github.com/docker/go-units",
        replace = "github.com/docker/go-units",
        sum = "h1:3uh0PgVws3nIA0Q+MwDC8yjEPf9zjRfZZWXZYDct3Tw=",
        version = "v0.4.0",
    )

    go_repository(
        name = "com_github_docker_libtrust",
        commit = "aabc10ec26b7",
        importpath = "github.com/docker/libtrust",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_docker_spdystream",
        commit = "449fdfce4d96",
        importpath = "github.com/docker/spdystream",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_docopt_docopt_go",
        importpath = "github.com/docopt/docopt-go",
        replace = "github.com/docopt/docopt-go",
        sum = "h1:bWDMxwH3px2JBh6AyO7hdCn/PkvCZXii8TGj7sbtEbQ=",
        version = "v0.0.0-20180111231733-ee0de3bc6815",
    )

    go_repository(
        name = "com_github_dustin_go_humanize",
        build_naming_convention = "go_default_library",
        importpath = "github.com/dustin/go-humanize",
        replace = "github.com/dustin/go-humanize",
        sum = "h1:VSnTsYCnlFHaM2/igO1h6X3HA71jcobQuxemgkq4zYo=",
        version = "v1.0.0",
    )

    go_repository(
        name = "com_github_elazarl_go_bindata_assetfs",
        commit = "38087fe4dafb",
        importpath = "github.com/elazarl/go-bindata-assetfs",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_elazarl_goproxy",
        build_naming_convention = "go_default_library",
        importpath = "github.com/elazarl/goproxy",
        replace = "github.com/elazarl/goproxy",
        sum = "h1:yUdfgN0XgIJw7foRItutHYUIhlcKzcSf5vDpdhQAKTc=",
        version = "v0.0.0-20180725130230-947c36da3153",
    )

    go_repository(
        name = "com_github_emicklei_go_restful",
        build_naming_convention = "go_default_library",
        importpath = "github.com/emicklei/go-restful",
        replace = "github.com/emicklei/go-restful",
        sum = "h1:spTtZBk5DYEvbxMVutUuTyh1Ao2r4iyvLdACqsl/Ljk=",
        version = "v2.9.5+incompatible",
    )

    go_repository(
        name = "com_github_emirpasic_gods",
        commit = "80e934ed68b9084f386ae25f74f839aaecfb54d8",
        importpath = "github.com/emirpasic/gods",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_envoyproxy_go_control_plane",
        importpath = "github.com/envoyproxy/go-control-plane",
        replace = "github.com/envoyproxy/go-control-plane",
        sum = "h1:4cmBvAEBNJaGARUEs3/suWRyfyBfhf7I60WBZq+bv2w=",
        version = "v0.9.1-0.20191026205805-5f8ba28d4473",
    )
    go_repository(
        name = "com_github_envoyproxy_protoc_gen_validate",
        importpath = "github.com/envoyproxy/protoc-gen-validate",
        replace = "github.com/envoyproxy/protoc-gen-validate",
        sum = "h1:EQciDnbrYxy13PgWoY8AqoxGiPrpgBZ1R8UNe3ddc+A=",
        version = "v0.1.0",
    )
    go_repository(
        name = "com_github_euank_go_kmsg_parser",
        importpath = "github.com/euank/go-kmsg-parser",
        replace = "github.com/euank/go-kmsg-parser",
        sum = "h1:cHD53+PLQuuQyLZeriD1V/esuG4MuU0Pjs5y6iknohY=",
        version = "v2.0.0+incompatible",
    )

    go_repository(
        name = "com_github_evanphx_json_patch",
        build_naming_convention = "go_default_library",
        importpath = "github.com/evanphx/json-patch",
        replace = "github.com/evanphx/json-patch",
        sum = "h1:kLcOMZeuLAJvL2BPWLMIj5oaZQobrkAqrL+WFZwQses=",
        version = "v4.9.0+incompatible",
    )

    go_repository(
        name = "com_github_exponent_io_jsonpath",
        commit = "d6023ce2651d",
        importpath = "github.com/exponent-io/jsonpath",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_fatih_camelcase",
        importpath = "github.com/fatih/camelcase",
        build_naming_convention = "go_default_library",
        tag = "v1.0.0",
    )

    go_repository(
        name = "com_github_fatih_color",
        build_naming_convention = "go_default_library",
        importpath = "github.com/fatih/color",
        replace = "github.com/fatih/color",
        sum = "h1:DkWD4oS2D8LGGgTQ6IvwJJXSL5Vp2ffcQg58nFV38Ys=",
        version = "v1.7.0",
    )
    go_repository(
        name = "com_github_fernet_fernet_go",
        commit = "9eac43b88a5e",
        importpath = "github.com/fernet/fernet-go",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_flynn_go_shlex",
        importpath = "github.com/flynn/go-shlex",
        replace = "github.com/flynn/go-shlex",
        sum = "h1:BHsljHzVlRcyQhjrss6TZTdY2VfCqZPbv5k3iBFa2ZQ=",
        version = "v0.0.0-20150515145356-3f9db97f8568",
    )
    go_repository(
        name = "com_github_fogleman_gg",
        importpath = "github.com/fogleman/gg",
        replace = "github.com/fogleman/gg",
        sum = "h1:WXb3TSNmHp2vHoCroCIB1foO/yQ36swABL8aOVeDpgg=",
        version = "v1.2.1-0.20190220221249-0403632d5b90",
    )

    go_repository(
        name = "com_github_fsnotify_fsnotify",
        build_naming_convention = "go_default_library",
        importpath = "github.com/fsnotify/fsnotify",
        replace = "github.com/fsnotify/fsnotify",
        sum = "h1:hsms1Qyu0jgnwNXIxa+/V/PDsU6CfLf6CNO8H7IWoS4=",
        version = "v1.4.9",
    )
    go_repository(
        name = "ml_vbom_util",
        importpath = "github.com/fvbommel/util",
        sum = "h1:/uQiVCCb9QGbBGf51tcx2D6Poi+Op2UpU+6qGP5nEdk=",
        version = "v0.0.3",
    )

    go_repository(
        name = "com_github_gabriel_vasile_mimetype",
        commit = "06500030e7d26826f68caa5ca7d98c315c4caa28",
        importpath = "github.com/gabriel-vasile/mimetype",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_gchaincl_sqlhooks",
        commit = "1932c8dd22f2283687586008bf2d58c2c5c014d0",
        importpath = "github.com/gchaincl/sqlhooks",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_genuinetools_pkg",
        commit = "1c141f661797",
        importpath = "github.com/genuinetools/pkg",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_genuinetools_reg",
        commit = "d959057b30da",
        importpath = "github.com/genuinetools/reg",
        build_naming_convention = "go_default_library",
        build_extra_args = ["-exclude=vendor"],
    )

    go_repository(
        name = "com_github_ghodss_yaml",
        build_naming_convention = "go_default_library",
        importpath = "github.com/ghodss/yaml",
        replace = "github.com/ghodss/yaml",
        sum = "h1:wQHKEahhL6wmXdzwWG11gIVCkOv05bNOh+Rxn0yngAk=",
        version = "v1.0.0",
    )

    go_repository(
        name = "com_github_globalsign_mgo",
        commit = "eeefdecb41b8",
        importpath = "github.com/globalsign/mgo",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_go_acme_lego",
        importpath = "github.com/go-acme/lego",
        replace = "github.com/go-acme/lego",
        sum = "h1:5fNN9yRQfv8ymH3DSsxla+4aYeQt2IgfZqHKVnK8f0s=",
        version = "v2.5.0+incompatible",
    )
    go_repository(
        name = "com_github_go_bindata_go_bindata",
        importpath = "github.com/go-bindata/go-bindata",
        replace = "github.com/go-bindata/go-bindata",
        sum = "h1:tR4f0e4VTO7LK6B2YWyAoVEzG9ByG1wrXB4TL9+jiYg=",
        version = "v3.1.1+incompatible",
    )

    go_repository(
        name = "com_github_go_git_gcfg",
        commit = "22f18f9a74d34e3b1a7d59cfa33043bc50ebe376",
        importpath = "github.com/go-git/gcfg",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_go_git_go_billy_v5",
        commit = "d7a8afccaed297c30f8dff5724dbe422b491dd0d",
        importpath = "github.com/go-git/go-billy/v5",
        build_naming_convention = "go_default_library",
        remote = "https://github.com/go-git/go-billy",
        vcs = "git",
    )

    go_repository(
        name = "com_github_go_git_go_git_v5",
        commit = "3127ad9a44a2ee935502816065dfe39f494f583d",
        importpath = "github.com/go-git/go-git/v5",
        build_naming_convention = "go_default_library",
        remote = "https://github.com/go-git/go-git",
        vcs = "git",
        build_extra_args = [
            "-known_import=github.com/go-git/go-billy/v5",
        ],
    )
    go_repository(
        name = "com_github_go_gl_glfw_v3_3_glfw",
        importpath = "github.com/go-gl/glfw/v3.3/glfw",
        replace = "github.com/go-gl/glfw/v3.3/glfw",
        sum = "h1:b+9H1GAsx5RsjvDFLoS5zkNBzIQMuVKUYQDmxU3N5XE=",
        version = "v0.0.0-20191125211704-12ad95a8df72",
    )
    go_repository(
        name = "com_github_go_ini_ini",
        importpath = "github.com/go-ini/ini",
        replace = "github.com/go-ini/ini",
        sum = "h1:SVBHBs+26QqWy5m0NyygV8lfVQT/Dq2PeKTiKzcXKAc=",
        version = "v1.9.0",
    )

    go_repository(
        name = "com_github_go_kit_kit",
        build_naming_convention = "go_default_library",
        importpath = "github.com/go-kit/kit",
        replace = "github.com/go-kit/kit",
        sum = "h1:wDJmvq38kDhkVxi50ni9ykkdUr1PKgqKOoi01fa0Mdk=",
        version = "v0.9.0",
    )

    go_repository(
        name = "com_github_go_logfmt_logfmt",
        build_naming_convention = "go_default_library",
        importpath = "github.com/go-logfmt/logfmt",
        replace = "github.com/go-logfmt/logfmt",
        sum = "h1:MP4Eh7ZCb31lleYCFuwm0oe4/YGak+5l1vA2NOE80nA=",
        version = "v0.4.0",
    )

    go_repository(
        name = "com_github_go_logr_logr",
        build_naming_convention = "go_default_library",
        importpath = "github.com/go-logr/logr",
        replace = "github.com/go-logr/logr",
        sum = "h1:QvGt2nLcHH0WK9orKa+ppBPAxREcH364nPUedEpK0TY=",
        version = "v0.2.0",
    )
    go_repository(
        name = "com_github_go_ole_go_ole",
        commit = "938323a72016e9cf84fa5fba7635089efb0ad87f",
        importpath = "github.com/go-ole/go-ole",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_go_openapi_analysis",
        build_naming_convention = "go_default_library",
        importpath = "github.com/go-openapi/analysis",
        replace = "github.com/go-openapi/analysis",
        sum = "h1:8b2ZgKfKIUTVQpTb77MoRDIMEIwvDVw40o3aOXdfYzI=",
        version = "v0.19.5",
    )
    go_repository(
        name = "com_github_go_openapi_errors",
        build_naming_convention = "go_default_library",
        importpath = "github.com/go-openapi/errors",
        replace = "github.com/go-openapi/errors",
        sum = "h1:a2kIyV3w+OS3S97zxUndRVD46+FhGOUBDFY7nmu4CsY=",
        version = "v0.19.2",
    )

    go_repository(
        name = "com_github_go_openapi_jsonpointer",
        build_naming_convention = "go_default_library",
        importpath = "github.com/go-openapi/jsonpointer",
        replace = "github.com/go-openapi/jsonpointer",
        sum = "h1:gihV7YNZK1iK6Tgwwsxo2rJbD1GTbdm72325Bq8FI3w=",
        version = "v0.19.3",
    )

    go_repository(
        name = "com_github_go_openapi_jsonreference",
        build_naming_convention = "go_default_library",
        importpath = "github.com/go-openapi/jsonreference",
        replace = "github.com/go-openapi/jsonreference",
        sum = "h1:5cxNfTy0UVC3X8JL5ymxzyoUZmo8iZb+jeTWn7tUa8o=",
        version = "v0.19.3",
    )
    go_repository(
        name = "com_github_go_openapi_loads",
        build_naming_convention = "go_default_library",
        importpath = "github.com/go-openapi/loads",
        replace = "github.com/go-openapi/loads",
        sum = "h1:5I4CCSqoWzT+82bBkNIvmLc0UOsoKKQ4Fz+3VxOB7SY=",
        version = "v0.19.4",
    )
    go_repository(
        name = "com_github_go_openapi_runtime",
        importpath = "github.com/go-openapi/runtime",
        build_naming_convention = "go_default_library",
        tag = "v0.19.21",
    )

    go_repository(
        name = "com_github_go_openapi_spec",
        build_naming_convention = "go_default_library",
        importpath = "github.com/go-openapi/spec",
        replace = "github.com/go-openapi/spec",
        sum = "h1:0XRyw8kguri6Yw4SxhsQA/atC88yqrk0+G4YhI2wabc=",
        version = "v0.19.3",
    )
    go_repository(
        name = "com_github_go_openapi_strfmt",
        build_naming_convention = "go_default_library",
        importpath = "github.com/go-openapi/strfmt",
        replace = "github.com/go-openapi/strfmt",
        sum = "h1:eRfyY5SkaNJCAwmmMcADjY31ow9+N7MCLW7oRkbsINA=",
        version = "v0.19.3",
    )

    go_repository(
        name = "com_github_go_openapi_swag",
        build_naming_convention = "go_default_library",
        importpath = "github.com/go-openapi/swag",
        replace = "github.com/go-openapi/swag",
        sum = "h1:lTz6Ys4CmqqCQmZPBlbQENR1/GucA2bzYTE12Pw4tFY=",
        version = "v0.19.5",
    )

    go_repository(
        name = "com_github_go_openapi_validate",
        importpath = "github.com/go-openapi/validate",
        build_naming_convention = "go_default_library",
        tag = "v0.20.2",
    )
    go_repository(
        name = "com_github_go_ozzo_ozzo_validation",
        importpath = "github.com/go-ozzo/ozzo-validation",
        replace = "github.com/go-ozzo/ozzo-validation",
        sum = "h1:sUy/in/P6askYr16XJgTKq/0SZhiWsdg4WZGaLsGQkM=",
        version = "v3.5.0+incompatible",
    )

    go_repository(
        name = "com_github_go_stack_stack",
        build_naming_convention = "go_default_library",
        importpath = "github.com/go-stack/stack",
        replace = "github.com/go-stack/stack",
        sum = "h1:5SgMzNM5HxrEjV0ww2lTmX6E2Izsfxas4+YHWRs3Lsk=",
        version = "v1.8.0",
    )

    go_repository(
        name = "com_github_go_telegram_bot_api_telegram_bot_api",
        commit = "b33efeebc78563cfeddf19563781cffb16aaabdf",
        importpath = "github.com/go-telegram-bot-api/telegram-bot-api",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_go_test_deep",
        commit = "cf67d735e69b4a4d50cdf571a92b0144786080f7",
        importpath = "github.com/go-test/deep",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_godbus_dbus_v5",
        importpath = "github.com/godbus/dbus/v5",
        replace = "github.com/godbus/dbus/v5",
        sum = "h1:ZqHaoEF7TBzh4jzPmqVhE/5A1z9of6orkAe5uHoAeME=",
        version = "v5.0.3",
    )
    go_repository(
        name = "com_github_gogo_protobuf",
        build_naming_convention = "go_default_library",
        importpath = "github.com/gogo/protobuf",
        replace = "github.com/gogo/protobuf",
        sum = "h1:DqDEcV5aeaTmdFBePNpYsp3FlcVH/2ISVVM9Qf8PSls=",
        version = "v1.3.1",
    )
    go_repository(
        name = "com_github_golang_collections_go_datastructures",
        commit = "59788d5eb2591d3497ffb8fafed2f16fe00e7775",
        importpath = "github.com/golang-collections/go-datastructures",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_golang_freetype",
        importpath = "github.com/golang/freetype",
        replace = "github.com/golang/freetype",
        sum = "h1:DACJavvAHhabrF08vX0COfcOBJRhZ8lUbR+ZWIs0Y5g=",
        version = "v0.0.0-20170609003504-e2365dfdc4a0",
    )

    go_repository(
        name = "com_github_golang_glog",
        build_naming_convention = "go_default_library",
        importpath = "github.com/golang/glog",
        replace = "github.com/golang/glog",
        sum = "h1:VKtxabqXZkF25pY9ekfRL6a582T4P37/31XEstQ5p58=",
        version = "v0.0.0-20160126235308-23def4e6c14b",
    )

    go_repository(
        name = "com_github_golang_groupcache",
        build_naming_convention = "go_default_library",
        importpath = "github.com/golang/groupcache",
        replace = "github.com/golang/groupcache",
        sum = "h1:5ZkaAPbicIKTF2I64qf5Fh8Aa83Q/dnOafMYV0OMwjA=",
        version = "v0.0.0-20191227052852-215e87163ea7",
    )
    go_repository(
        name = "com_github_golang_migrate_migrate_v4",
        commit = "e93eaeb3fe21ce2ccc1365277a01863e6bc84d9c",
        importpath = "github.com/golang-migrate/migrate/v4",
        build_naming_convention = "go_default_library",
        remote = "https://github.com/golang-migrate/migrate",
        vcs = "git",
    )

    go_repository(
        name = "com_github_golang_mock",
        build_naming_convention = "go_default_library",
        importpath = "github.com/golang/mock",
        replace = "github.com/golang/mock",
        sum = "h1:qGJ6qTW+x6xX/my+8YUVl4WNpX9B7+/l2tRsHGZ7f2s=",
        version = "v1.3.1",
    )
    go_repository(
        name = "com_github_golang_protobuf",
        importpath = "github.com/golang/protobuf",
        replace = "github.com/golang/protobuf",
        sum = "h1:+Z5KGCizgyZCbGh1KZqA0fcLLkwbsjIzS4aV2v7wJX0=",
        version = "v1.4.2",
    )

    go_repository(
        name = "com_github_golangplus_bytes",
        commit = "45c989fe5450",
        importpath = "github.com/golangplus/bytes",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_golangplus_fmt",
        commit = "2a5d6d7d2995",
        importpath = "github.com/golangplus/fmt",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_golangplus_testing",
        commit = "af21d9c3145e",
        importpath = "github.com/golangplus/testing",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_google_btree",
        build_naming_convention = "go_default_library",
        importpath = "github.com/google/btree",
        replace = "github.com/google/btree",
        sum = "h1:0udJVsspx3VBr5FwtLhQQtuAsVc79tTq0ocGIPAU6qo=",
        version = "v1.0.0",
    )
    go_repository(
        name = "com_github_google_cadvisor",
        importpath = "github.com/google/cadvisor",
        replace = "github.com/google/cadvisor",
        sum = "h1:t3txV4zNZZGTuwuA/Onm3HToPhg16GjigAHZHEVIz+c=",
        version = "v0.37.0",
    )

    go_repository(
        name = "com_github_google_go_cmp",
        build_naming_convention = "go_default_library",
        importpath = "github.com/google/go-cmp",
        replace = "github.com/google/go-cmp",
        sum = "h1:xsAVV57WRhGj6kEIi8ReJzQlHHqcBYCElAvkovg3B/4=",
        version = "v0.4.0",
    )

    go_repository(
        name = "com_github_google_go_jsonnet",
        importpath = "github.com/google/go-jsonnet",
        build_naming_convention = "go_default_library",
        tag = "v0.12.1",
    )
    go_repository(
        name = "com_github_google_gofuzz",
        build_naming_convention = "go_default_library",
        importpath = "github.com/google/gofuzz",
        replace = "github.com/google/gofuzz",
        sum = "h1:Hsa8mG0dQ46ij8Sl2AYJDUv1oA9/d6Vk+3LG99Oe02g=",
        version = "v1.1.0",
    )

    go_repository(
        name = "com_github_google_martian",
        build_naming_convention = "go_default_library",
        importpath = "github.com/google/martian",
        replace = "github.com/google/martian",
        sum = "h1:/CP5g8u/VJHijgedC/Legn3BAbAaWPgecwXBIDzw5no=",
        version = "v2.1.0+incompatible",
    )

    go_repository(
        name = "com_github_google_pprof",
        build_naming_convention = "go_default_library",
        importpath = "github.com/google/pprof",
        replace = "github.com/google/pprof",
        sum = "h1:DLpL8pWq0v4JYoRpEhDfsJhhJyGKCcQM2WPW2TJs31c=",
        version = "v0.0.0-20191218002539-d4f498aebedc",
    )
    go_repository(
        name = "com_github_google_renameio",
        importpath = "github.com/google/renameio",
        replace = "github.com/google/renameio",
        sum = "h1:GOZbcHa3HfsPKPlmyPyN2KEohoMXOhdMbHrvbpl2QaA=",
        version = "v0.1.0",
    )

    go_repository(
        name = "com_github_google_shlex",
        importpath = "github.com/google/shlex",
        sum = "h1:El6M4kTTCOh6aBiKaUGG7oYTSPP8MxqL4YI3kZKwcP4=",
        version = "v0.0.0-20191202100458-e7afc7fbc510",
    )

    go_repository(
        name = "com_github_google_uuid",
        build_naming_convention = "go_default_library",
        importpath = "github.com/google/uuid",
        replace = "github.com/google/uuid",
        sum = "h1:Gkbcsh/GbpXz7lPftLA3P6TYMwjCLYm83jiFQZF/3gY=",
        version = "v1.1.1",
    )

    go_repository(
        name = "com_github_googleapis_gax_go_v2",
        build_naming_convention = "go_default_library",
        importpath = "github.com/googleapis/gax-go/v2",
        replace = "github.com/googleapis/gax-go/v2",
        sum = "h1:sjZBwGj9Jlw33ImPtvFviGYvseOtDM7hkSKB7+Tv3SM=",
        version = "v2.0.5",
    )
    go_repository(
        name = "com_github_googleapis_gnostic",
        build_file_generation = "on",
        build_file_proto_mode = "disable",
        build_naming_convention = "go_default_library",
        importpath = "github.com/googleapis/gnostic",
        replace = "github.com/googleapis/gnostic",
        sum = "h1:DLJCy1n/vrD4HPjOvYcT8aYQXpPIzoRZONaYwyycI+I=",
        version = "v0.4.1",
    )
    go_repository(
        name = "com_github_googlecloudplatform_k8s_cloud_provider",
        importpath = "github.com/GoogleCloudPlatform/k8s-cloud-provider",
        replace = "github.com/GoogleCloudPlatform/k8s-cloud-provider",
        sum = "h1:JhyuWIqYrstW7KHMjk/fTqU0xtMpBOHuiTA2FVc7L4E=",
        version = "v0.0.0-20200415212048-7901bc822317",
    )

    go_repository(
        name = "com_github_gophercloud_gophercloud",
        importpath = "github.com/gophercloud/gophercloud",
        build_naming_convention = "go_default_library",
        tag = "v0.1.0",
    )
    go_repository(
        name = "com_github_gopherjs_gopherjs",
        importpath = "github.com/gopherjs/gopherjs",
        replace = "github.com/gopherjs/gopherjs",
        sum = "h1:EGx4pi6eqNxGaHF6qqu48+N2wcFQ5qg5FXgOdqsJ5d8=",
        version = "v0.0.0-20181017120253-0766667cb4d1",
    )

    go_repository(
        name = "com_github_gorilla_context",
        build_naming_convention = "go_default_library",
        importpath = "github.com/gorilla/context",
        replace = "github.com/gorilla/context",
        sum = "h1:AWwleXJkX/nhcU9bZSnZoi3h/qGYqQAGhq6zZe/aQW8=",
        version = "v1.1.1",
    )
    go_repository(
        name = "com_github_gorilla_mux",
        build_naming_convention = "go_default_library",
        importpath = "github.com/gorilla/mux",
        replace = "github.com/gorilla/mux",
        sum = "h1:gnP5JzjVOuiZD07fKKToCAOjS0yOpj/qPETTXCCS6hw=",
        version = "v1.7.3",
    )

    go_repository(
        name = "com_github_gorilla_securecookie",
        importpath = "github.com/gorilla/securecookie",
        build_naming_convention = "go_default_library",
        sum = "h1:miw7JPhV+b/lAHSXz4qd/nN9jRiAFV5FwjeKyCS8BvQ=",
        version = "v1.1.1",
    )
    go_repository(
        name = "com_github_gorilla_sessions",
        importpath = "github.com/gorilla/sessions",
        build_naming_convention = "go_default_library",
        sum = "h1:DHd3rPN5lE3Ts3D8rKkQ8x/0kqfeNmBAaiSi+o7FsgI=",
        version = "v1.2.1",
    )
    go_repository(
        name = "com_github_gorilla_websocket",
        build_naming_convention = "go_default_library",
        importpath = "github.com/gorilla/websocket",
        replace = "github.com/gorilla/websocket",
        sum = "h1:WDFjx/TMzVgy9VdMMQi2K2Emtwi2QcUQsztZ/zLaH/Q=",
        version = "v1.4.0",
    )
    go_repository(
        name = "com_github_gregjones_httpcache",
        commit = "9cad4c3443a7",
        importpath = "github.com/gregjones/httpcache",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_grpc_ecosystem_go_grpc_middleware",
        build_naming_convention = "go_default_library",
        importpath = "github.com/grpc-ecosystem/go-grpc-middleware",
        replace = "github.com/grpc-ecosystem/go-grpc-middleware",
        sum = "h1:z53tR0945TRRQO/fLEVPI6SMv7ZflF0TEaTAoU7tOzg=",
        version = "v1.0.1-0.20190118093823-f849b5445de4",
    )

    go_repository(
        name = "com_github_grpc_ecosystem_go_grpc_prometheus",
        build_naming_convention = "go_default_library",
        importpath = "github.com/grpc-ecosystem/go-grpc-prometheus",
        sum = "h1:UImYN5qQ8tuGpGE16ZmjvcTtTw24zw1QAp/SlnNrZhI=",
        version = "v1.9.5",
    )
    go_repository(
        name = "com_github_grpc_ecosystem_grpc_gateway",
        build_naming_convention = "go_default_library",
        importpath = "github.com/grpc-ecosystem/grpc-gateway",
        replace = "github.com/grpc-ecosystem/grpc-gateway",
        sum = "h1:UImYN5qQ8tuGpGE16ZmjvcTtTw24zw1QAp/SlnNrZhI=",
        version = "v1.9.5",
    )
    go_repository(
        name = "com_github_hashicorp_errwrap",
        commit = "8a6fb523712970c966eefc6b39ed2c5e74880354",
        importpath = "github.com/hashicorp/errwrap",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_hashicorp_go_multierror",
        commit = "bdca7bb83f603b80ef756bb953fe1dafa9cd00a2",
        importpath = "github.com/hashicorp/go-multierror",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_hashicorp_go_syslog",
        importpath = "github.com/hashicorp/go-syslog",
        replace = "github.com/hashicorp/go-syslog",
        sum = "h1:KaodqZuhUoZereWVIYmpUgZysurB1kBLX2j0MwMrUAE=",
        version = "v1.0.0",
    )

    go_repository(
        name = "com_github_hashicorp_golang_lru",
        build_naming_convention = "go_default_library",
        importpath = "github.com/hashicorp/golang-lru",
        replace = "github.com/hashicorp/golang-lru",
        sum = "h1:0hERBMJE1eitiLkihrMvRVBYAkpHzc/J3QdDN+dAcgU=",
        version = "v0.5.1",
    )

    go_repository(
        name = "com_github_hashicorp_hcl",
        build_naming_convention = "go_default_library",
        importpath = "github.com/hashicorp/hcl",
        replace = "github.com/hashicorp/hcl",
        sum = "h1:0Anlzjpi4vEasTeNFn2mLJgTSwt0+6sfsiTG8qcWGx4=",
        version = "v1.0.0",
    )
    go_repository(
        name = "com_github_heketi_heketi",
        importpath = "github.com/heketi/heketi",
        replace = "github.com/heketi/heketi",
        sum = "h1:ysqc8k973k1lLJ4BOOHAkx14K2nt4cLjsIm+hwWDZDE=",
        version = "v9.0.1-0.20190917153846-c2e2a4ab7ab9+incompatible",
    )
    go_repository(
        name = "com_github_heketi_tests",
        importpath = "github.com/heketi/tests",
        replace = "github.com/heketi/tests",
        sum = "h1:oJ/NLadJn5HoxvonA6VxG31lg0d6XOURNA09BTtM4fY=",
        version = "v0.0.0-20151005000721-f3775cbcefd6",
    )

    go_repository(
        name = "com_github_hpcloud_tail",
        build_naming_convention = "go_default_library",
        importpath = "github.com/hpcloud/tail",
        replace = "github.com/hpcloud/tail",
        sum = "h1:nfCOvKYfkgYP8hkirhJocXT2+zOD8yUNjXaWfTlyFKI=",
        version = "v1.0.0",
    )
    go_repository(
        name = "com_github_ianlancetaylor_demangle",
        importpath = "github.com/ianlancetaylor/demangle",
        replace = "github.com/ianlancetaylor/demangle",
        sum = "h1:UDMh68UUwekSh5iP2OMhRRZJiiBccgV7axzUG8vi56c=",
        version = "v0.0.0-20181102032728-5e5cf60278f6",
    )

    go_repository(
        name = "com_github_imdario_mergo",
        importpath = "github.com/imdario/mergo",
        build_naming_convention = "go_default_library",
        tag = "v0.3.5",
    )

    go_repository(
        name = "com_github_inconshreveable_mousetrap",
        build_naming_convention = "go_default_library",
        importpath = "github.com/inconshreveable/mousetrap",
        replace = "github.com/inconshreveable/mousetrap",
        sum = "h1:Z8tu5sraLXCXIcARxBp/8cbvlwVa7Z1NHg9XEKhtSvM=",
        version = "v1.0.0",
    )
    go_repository(
        name = "com_github_ishidawataru_sctp",
        importpath = "github.com/ishidawataru/sctp",
        replace = "github.com/ishidawataru/sctp",
        sum = "h1:qPmlgoeRS18y2dT+iAH5vEKZgIqgiPi2Y8UCu/b7Aq8=",
        version = "v0.0.0-20190723014705-7c296d48a2b5",
    )

    go_repository(
        name = "com_github_jackc_pgx",
        commit = "6954c15ad0bd3c9aa6dd1b190732b020379beb28",
        importpath = "github.com/jackc/pgx",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_jbenet_go_context",
        commit = "d14ea06fba99483203c19d92cfcd13ebe73135f4",
        importpath = "github.com/jbenet/go-context",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_jeffashton_win_pdh",
        importpath = "github.com/JeffAshton/win_pdh",
        replace = "github.com/JeffAshton/win_pdh",
        sum = "h1:UKkYhof1njT1/xq4SEg5z+VpTgjmNeHwPGRQl7takDI=",
        version = "v0.0.0-20161109143554-76bb4ee9f0ab",
    )

    go_repository(
        name = "com_github_jessevdk_go_flags",
        importpath = "github.com/jessevdk/go-flags",
        build_naming_convention = "go_default_library",
        sum = "h1:4IU2WS7AumrZ/40jfhf4QVDMsQwqA7VEHozFRrGARJA=",
        version = "v1.4.0",
    )
    go_repository(
        name = "com_github_jimstudt_http_authentication",
        importpath = "github.com/jimstudt/http-authentication",
        replace = "github.com/jimstudt/http-authentication",
        sum = "h1:BcF8coBl0QFVhe8vAMMlD+CV8EISiu9MGKLoj6ZEyJA=",
        version = "v0.0.0-20140401203705-3eca13d6893a",
    )
    go_repository(
        name = "com_github_jmespath_go_jmespath",
        importpath = "github.com/jmespath/go-jmespath",
        replace = "github.com/jmespath/go-jmespath",
        sum = "h1:pmfjZENx5imkbgOkpRUYLnmbU7UEFbjtDA2hxJ1ichM=",
        version = "v0.0.0-20180206201540-c2b33e8439af",
    )

    go_repository(
        name = "com_github_jmoiron_sqlx",
        commit = "38398a30ed8516ffda617a04c822de09df8a3ec5",
        importpath = "github.com/jmoiron/sqlx",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_jonboulle_clockwork",
        build_naming_convention = "go_default_library",
        importpath = "github.com/jonboulle/clockwork",
        replace = "github.com/jonboulle/clockwork",
        sum = "h1:VKV+ZcuP6l3yW9doeqz6ziZGgcynBVQO+obU0+0hcPo=",
        version = "v0.1.0",
    )
    go_repository(
        name = "com_github_json_iterator_go",
        build_naming_convention = "go_default_library",
        importpath = "github.com/json-iterator/go",
        replace = "github.com/json-iterator/go",
        sum = "h1:Kz6Cvnvv2wGdaG/V8yMvfkmNiXq9Ya2KUv4rouJJr68=",
        version = "v1.1.10",
    )

    go_repository(
        name = "com_github_jstemmer_go_junit_report",
        build_naming_convention = "go_default_library",
        importpath = "github.com/jstemmer/go-junit-report",
        replace = "github.com/jstemmer/go-junit-report",
        sum = "h1:6QPYqodiu3GuPL+7mfx+NwDdp2eTkp9IfEUpgAwUN0o=",
        version = "v0.9.1",
    )
    go_repository(
        name = "com_github_jtolds_gls",
        importpath = "github.com/jtolds/gls",
        replace = "github.com/jtolds/gls",
        sum = "h1:xdiiI2gbIgH/gLH7ADydsJ1uDOEzR8yvV7C0MuV77Wo=",
        version = "v4.20.0+incompatible",
    )

    go_repository(
        name = "com_github_julienschmidt_httprouter",
        build_naming_convention = "go_default_library",
        importpath = "github.com/julienschmidt/httprouter",
        replace = "github.com/julienschmidt/httprouter",
        sum = "h1:TDTW5Yz1mjftljbcKqRcrYhd4XeOoI98t+9HbQbYf7g=",
        version = "v1.2.0",
    )
    go_repository(
        name = "com_github_jung_kurt_gofpdf",
        importpath = "github.com/jung-kurt/gofpdf",
        replace = "github.com/jung-kurt/gofpdf",
        sum = "h1:PJr+ZMXIecYc1Ey2zucXdR73SMBtgjPgwa31099IMv0=",
        version = "v1.0.3-0.20190309125859-24315acbbda5",
    )
    go_repository(
        name = "com_github_karrick_godirwalk",
        importpath = "github.com/karrick/godirwalk",
        replace = "github.com/karrick/godirwalk",
        sum = "h1:VbzFqwXwNbAZoA6W5odrLr+hKK197CcENcPh6E/gJ0M=",
        version = "v1.7.5",
    )

    go_repository(
        name = "com_github_kevinburke_go_bindata",
        commit = "a606d617e1d1546a2342de6fc4ed95c78e171d68",
        importpath = "github.com/kevinburke/go-bindata",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_kevinburke_ssh_config",
        commit = "01f96b0aa0cdcaa93f9495f89bbc6cb5a992ce6e",
        importpath = "github.com/kevinburke/ssh_config",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_kisielk_errcheck",
        build_naming_convention = "go_default_library",
        importpath = "github.com/kisielk/errcheck",
        replace = "github.com/kisielk/errcheck",
        sum = "h1:reN85Pxc5larApoH1keMBiu2GWtPqXQ1nc9gx+jOU+E=",
        version = "v1.2.0",
    )
    go_repository(
        name = "com_github_kisielk_gotool",
        build_naming_convention = "go_default_library",
        importpath = "github.com/kisielk/gotool",
        replace = "github.com/kisielk/gotool",
        sum = "h1:AV2c/EiW3KqPNT9ZKl07ehoAGi4C5/01Cfbblndcapg=",
        version = "v1.0.0",
    )
    go_repository(
        name = "com_github_klauspost_cpuid",
        importpath = "github.com/klauspost/cpuid",
        replace = "github.com/klauspost/cpuid",
        sum = "h1:NMpwD2G9JSFOE1/TJjGSo5zG7Yb2bTe7eq1jH+irmeE=",
        version = "v1.2.0",
    )

    go_repository(
        name = "com_github_klauspost_cpuid_v2",
        importpath = "github.com/klauspost/cpuid/v2",
        build_naming_convention = "go_default_library",
        sum = "h1:qnfhwbFriwDIX51QncuNU5mEMf+6KE3t7O8V2KQl3Dg=",
        version = "v2.0.5",
    )
    go_repository(
        name = "com_github_konsorten_go_windows_terminal_sequences",
        build_naming_convention = "go_default_library",
        importpath = "github.com/konsorten/go-windows-terminal-sequences",
        replace = "github.com/konsorten/go-windows-terminal-sequences",
        sum = "h1:CE8S1cTafDpPvMhIxNJKvHsGVBgn1xWYf1NbHQhywc8=",
        version = "v1.0.3",
    )

    go_repository(
        name = "com_github_kr_logfmt",
        build_naming_convention = "go_default_library",
        importpath = "github.com/kr/logfmt",
        replace = "github.com/kr/logfmt",
        sum = "h1:T+h1c/A9Gawja4Y9mFVWj2vyii2bbUNDw3kt9VxK2EY=",
        version = "v0.0.0-20140226030751-b84e30acd515",
    )
    go_repository(
        name = "com_github_kr_pretty",
        build_naming_convention = "go_default_library",
        importpath = "github.com/kr/pretty",
        replace = "github.com/kr/pretty",
        sum = "h1:s5hAObm+yFO5uHYt5dYjxi2rXrsnmRpJx4OYvIWUaQs=",
        version = "v0.2.0",
    )

    go_repository(
        name = "com_github_kr_pty",
        build_naming_convention = "go_default_library",
        importpath = "github.com/kr/pty",
        replace = "github.com/kr/pty",
        sum = "h1:hyz3dwM5QLc1Rfoz4FuWJQG5BN7tc6K1MndAUnGpQr4=",
        version = "v1.1.5",
    )

    go_repository(
        name = "com_github_kr_text",
        build_naming_convention = "go_default_library",
        importpath = "github.com/kr/text",
        replace = "github.com/kr/text",
        sum = "h1:45sCR5RtlFHMR4UwH9sdQ5TC8v0qDQCHnXt+kaKSTVE=",
        version = "v0.1.0",
    )
    go_repository(
        name = "com_github_kylelemons_godebug",
        importpath = "github.com/kylelemons/godebug",
        replace = "github.com/kylelemons/godebug",
        sum = "h1:MtvEpTB6LX3vkb4ax0b5D2DHbNAUsen0Gx5wZoq3lV4=",
        version = "v0.0.0-20170820004349-d65d576e9348",
    )

    go_repository(
        name = "com_github_lib_pq",
        commit = "3427c32cb71afc948325f299f040e53c1dd78979",
        importpath = "github.com/lib/pq",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_libopenstorage_openstorage",
        importpath = "github.com/libopenstorage/openstorage",
        replace = "github.com/libopenstorage/openstorage",
        sum = "h1:GLPam7/0mpdP8ZZtKjbfcXJBTIA/T1O6CBErVEFEyIM=",
        version = "v1.0.0",
    )

    go_repository(
        name = "com_github_liggitt_tabwriter",
        commit = "89fcab3d43de",
        importpath = "github.com/liggitt/tabwriter",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_lithammer_dedent",
        build_naming_convention = "go_default_library",
        importpath = "github.com/lithammer/dedent",
        replace = "github.com/lithammer/dedent",
        sum = "h1:VNzHMVCBNG1j0fh3OrsFRkVUwStdDArbgBWoPAffktY=",
        version = "v1.1.0",
    )
    go_repository(
        name = "com_github_lpabon_godbc",
        importpath = "github.com/lpabon/godbc",
        replace = "github.com/lpabon/godbc",
        sum = "h1:ilqjArN1UOENJJdM34I2YHKmF/B0gGq4VLoSGy9iAao=",
        version = "v0.1.1",
    )
    go_repository(
        name = "com_github_lucas_clemente_aes12",
        importpath = "github.com/lucas-clemente/aes12",
        replace = "github.com/lucas-clemente/aes12",
        sum = "h1:sSeNEkJrs+0F9TUau0CgWTTNEwF23HST3Eq0A+QIx+A=",
        version = "v0.0.0-20171027163421-cd47fb39b79f",
    )
    go_repository(
        name = "com_github_lucas_clemente_quic_clients",
        importpath = "github.com/lucas-clemente/quic-clients",
        replace = "github.com/lucas-clemente/quic-clients",
        sum = "h1:/P9n0nICT/GnQJkZovtBqridjxU0ao34m7DpMts79qY=",
        version = "v0.1.0",
    )
    go_repository(
        name = "com_github_lucas_clemente_quic_go",
        importpath = "github.com/lucas-clemente/quic-go",
        replace = "github.com/lucas-clemente/quic-go",
        sum = "h1:iQtTSZVbd44k94Lu0U16lLBIG3lrnjDvQongjPd4B/s=",
        version = "v0.10.2",
    )
    go_repository(
        name = "com_github_lucas_clemente_quic_go_certificates",
        importpath = "github.com/lucas-clemente/quic-go-certificates",
        replace = "github.com/lucas-clemente/quic-go-certificates",
        sum = "h1:zqEC1GJZFbGZA0tRyNZqRjep92K5fujFtFsu5ZW7Aug=",
        version = "v0.0.0-20160823095156-d2f86524cced",
    )

    go_repository(
        name = "com_github_magiconair_properties",
        build_naming_convention = "go_default_library",
        importpath = "github.com/magiconair/properties",
        replace = "github.com/magiconair/properties",
        sum = "h1:ZC2Vc7/ZFkGmsVC9KvOjumD+G5lXy2RtTKyzRKO2BQ4=",
        version = "v1.8.1",
    )
    go_repository(
        name = "com_github_mailru_easyjson",
        build_naming_convention = "go_default_library",
        importpath = "github.com/mailru/easyjson",
        replace = "github.com/mailru/easyjson",
        sum = "h1:aizVhC/NAAcKWb+5QsU1iNOZb4Yws5UO2I+aIprQITM=",
        version = "v0.7.0",
    )

    go_repository(
        name = "com_github_makenowjust_heredoc",
        commit = "bb23615498cd",
        importpath = "github.com/MakeNowJust/heredoc",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_marten_seemann_qtls",
        importpath = "github.com/marten-seemann/qtls",
        replace = "github.com/marten-seemann/qtls",
        sum = "h1:0yWJ43C62LsZt08vuQJDK1uC1czUc3FJeCLPoNAI4vA=",
        version = "v0.2.3",
    )

    go_repository(
        name = "com_github_mattn_go_colorable",
        build_naming_convention = "go_default_library",
        importpath = "github.com/mattn/go-colorable",
        replace = "github.com/mattn/go-colorable",
        sum = "h1:UVL0vNpWh04HeJXV0KLcaT7r06gOH2l4OW6ddYRUIY4=",
        version = "v0.0.9",
    )
    go_repository(
        name = "com_github_mattn_go_isatty",
        build_naming_convention = "go_default_library",
        importpath = "github.com/mattn/go-isatty",
        replace = "github.com/mattn/go-isatty",
        sum = "h1:bnP0vzxcAdeI1zdubAl5PjU6zsERjGZb7raWodagDYs=",
        version = "v0.0.4",
    )

    go_repository(
        name = "com_github_mattn_go_runewidth",
        build_naming_convention = "go_default_library",
        importpath = "github.com/mattn/go-runewidth",
        replace = "github.com/mattn/go-runewidth",
        sum = "h1:UnlwIPBGaTZfPQ6T1IGzPI0EkYAQmT9fAEJ/poFC63o=",
        version = "v0.0.2",
    )
    go_repository(
        name = "com_github_mattn_go_sqlite3",
        commit = "5994cc52dfa89a4ee21ac891b06fbc1ea02c52d3",
        importpath = "github.com/mattn/go-sqlite3",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_matttproud_golang_protobuf_extensions",
        build_naming_convention = "go_default_library",
        importpath = "github.com/matttproud/golang_protobuf_extensions",
        replace = "github.com/matttproud/golang_protobuf_extensions",
        sum = "h1:I0XW9+e1XWDxdcEniV4rQAIOPUGDq67JSCiRCgGCZLI=",
        version = "v1.0.2-0.20181231171920-c182affec369",
    )
    go_repository(
        name = "com_github_mholt_certmagic",
        importpath = "github.com/mholt/certmagic",
        replace = "github.com/mholt/certmagic",
        sum = "h1:xKE9kZ5C8gelJC3+BNM6LJs1x21rivK7yxfTZMAuY2s=",
        version = "v0.6.2-0.20190624175158-6a42ef9fe8c2",
    )

    go_repository(
        name = "com_github_microsoft_go_winio",
        build_naming_convention = "go_default_library",
        importpath = "github.com/Microsoft/go-winio",
        replace = "github.com/Microsoft/go-winio",
        sum = "h1:ygIc8M6trr62pF5DucadTWGdEB4mEyvzi0e2nbcmcyA=",
        version = "v0.4.15-0.20190919025122-fc70bd9a86b5",
    )
    go_repository(
        name = "com_github_microsoft_hcsshim",
        importpath = "github.com/Microsoft/hcsshim",
        replace = "github.com/Microsoft/hcsshim",
        sum = "h1:1xpVY4dSUSbW3PcSGxZJhI8Z+CJiqbd933kM7HIinTc=",
        version = "v0.8.10-0.20200715222032-5eafd1556990",
    )
    go_repository(
        name = "com_github_miekg_dns",
        importpath = "github.com/miekg/dns",
        replace = "github.com/miekg/dns",
        sum = "h1:rCMZsU2ScVSYcAsOXgmC6+AKOK+6pmQTOcw03nfwYV0=",
        version = "v1.1.4",
    )
    go_repository(
        name = "com_github_mindprince_gonvml",
        importpath = "github.com/mindprince/gonvml",
        replace = "github.com/mindprince/gonvml",
        sum = "h1:PS1dLCGtD8bb9RPKJrc8bS7qHL6JnW1CZvwzH9dPoUs=",
        version = "v0.0.0-20190828220739-9ebdce4bb989",
    )

    go_repository(
        name = "com_github_minio_md5_simd",
        importpath = "github.com/minio/md5-simd",
        build_naming_convention = "go_default_library",
        sum = "h1:Gdi1DZK69+ZVMoNHRXJyNcxrMA4dSxoYHZSQbirFg34=",
        version = "v1.1.2",
    )
    go_repository(
        name = "com_github_minio_minio_go_v7",
        importpath = "github.com/minio/minio-go/v7",
        build_naming_convention = "go_default_library",
        sum = "h1:1oUKe4EOPUEhw2qnPQaPsJ0lmVTYLFu03SiItauXs94=",
        version = "v7.0.10",
    )

    go_repository(
        name = "com_github_minio_sha256_simd",
        importpath = "github.com/minio/sha256-simd",
        build_naming_convention = "go_default_library",
        sum = "h1:v1ta+49hkWZyvaKwrQB8elexRqm6Y0aMLjCNsrYxo6g=",
        version = "v1.0.0",
    )
    go_repository(
        name = "com_github_mistifyio_go_zfs",
        importpath = "github.com/mistifyio/go-zfs",
        replace = "github.com/mistifyio/go-zfs",
        sum = "h1:aKW/4cBs+yK6gpqU3K/oIwk9Q/XICqd3zOX/UFuvqmk=",
        version = "v2.1.2-0.20190413222219-f784269be439+incompatible",
    )

    go_repository(
        name = "com_github_mitchellh_go_homedir",
        build_naming_convention = "go_default_library",
        importpath = "github.com/mitchellh/go-homedir",
        replace = "github.com/mitchellh/go-homedir",
        sum = "h1:lukF9ziXFxDFPkA1vsr5zpc1XuPDn/wFntq5mG+4E0Y=",
        version = "v1.1.0",
    )
    go_repository(
        name = "com_github_mitchellh_go_wordwrap",
        importpath = "github.com/mitchellh/go-wordwrap",
        build_naming_convention = "go_default_library",
        tag = "v1.0.0",
    )
    go_repository(
        name = "com_github_mitchellh_mapstructure",
        build_naming_convention = "go_default_library",
        importpath = "github.com/mitchellh/mapstructure",
        replace = "github.com/mitchellh/mapstructure",
        sum = "h1:fmNYVwqnSfB9mZU6OS2O6GsXM+wcskZDuKQzvN1EDeE=",
        version = "v1.1.2",
    )
    go_repository(
        name = "com_github_moby_ipvs",
        importpath = "github.com/moby/ipvs",
        replace = "github.com/moby/ipvs",
        sum = "h1:aoZ7fhLTXgDbzVrAnvV+XbKOU8kOET7B3+xULDF/1o0=",
        version = "v1.0.1",
    )
    go_repository(
        name = "com_github_moby_sys_mountinfo",
        importpath = "github.com/moby/sys/mountinfo",
        replace = "github.com/moby/sys/mountinfo",
        sum = "h1:KIrhRO14+AkwKvG/g2yIpNMOUVZ02xNhOw8KY1WsLOI=",
        version = "v0.1.3",
    )

    go_repository(
        name = "com_github_moby_term",
        importpath = "github.com/moby/term",
        build_naming_convention = "go_default_library",
        sum = "h1:K6V0Kwa5efKo60sqbTk1FOBbltdyX9Klw2a9+lKhA18=",
        version = "v0.0.0-20201101162038-25d840ce174a",
    )
    go_repository(
        name = "com_github_modern_go_concurrent",
        build_naming_convention = "go_default_library",
        importpath = "github.com/modern-go/concurrent",
        replace = "github.com/modern-go/concurrent",
        sum = "h1:TRLaZ9cD/w8PVh93nsPXa1VrQ6jlwL5oN8l14QlcNfg=",
        version = "v0.0.0-20180306012644-bacd9c7ef1dd",
    )
    go_repository(
        name = "com_github_modern_go_reflect2",
        build_naming_convention = "go_default_library",
        importpath = "github.com/modern-go/reflect2",
        replace = "github.com/modern-go/reflect2",
        sum = "h1:9f412s+6RmYXLWZSEzVVgPGK7C2PphHj5RJrvfx9AWI=",
        version = "v1.0.1",
    )
    go_repository(
        name = "com_github_mohae_deepcopy",
        importpath = "github.com/mohae/deepcopy",
        replace = "github.com/mohae/deepcopy",
        sum = "h1:e+l77LJOEqXTIQihQJVkA6ZxPOUmfPM5e4H7rcpgtSk=",
        version = "v0.0.0-20170603005431-491d3605edfb",
    )

    go_repository(
        name = "com_github_morikuni_aec",
        build_naming_convention = "go_default_library",
        importpath = "github.com/morikuni/aec",
        replace = "github.com/morikuni/aec",
        sum = "h1:nP9CBfwrvYnBRgY6qfDQkygYDmYwOilePFkwzv4dU8A=",
        version = "v1.0.0",
    )
    go_repository(
        name = "com_github_mrunalp_fileutils",
        importpath = "github.com/mrunalp/fileutils",
        replace = "github.com/mrunalp/fileutils",
        sum = "h1:aZQToFSLH8ejFeSkTc3r3L4dPImcj7Ib/KgmkQqbGGg=",
        version = "v0.0.0-20200520151820-abd8a0e76976",
    )

    go_repository(
        name = "com_github_munnerz_goautoneg",
        build_naming_convention = "go_default_library",
        importpath = "github.com/munnerz/goautoneg",
        replace = "github.com/munnerz/goautoneg",
        sum = "h1:C3w9PqII01/Oq1c1nUAm88MOHcQC9l5mIlSMApZMrHA=",
        version = "v0.0.0-20191010083416-a7dc8b61c822",
    )
    go_repository(
        name = "com_github_mvdan_xurls",
        importpath = "github.com/mvdan/xurls",
        replace = "github.com/mvdan/xurls",
        sum = "h1:OpuDelGQ1R1ueQ6sSryzi6P+1RtBpfQHM8fJwlE45ww=",
        version = "v1.1.0",
    )

    go_repository(
        name = "com_github_mwitkow_go_conntrack",
        build_naming_convention = "go_default_library",
        importpath = "github.com/mwitkow/go-conntrack",
        replace = "github.com/mwitkow/go-conntrack",
        sum = "h1:F9x/1yl3T2AeKLr2AMdilSD8+f9bvMnNN8VS5iDtovc=",
        version = "v0.0.0-20161129095857-cc309e4a2223",
    )

    go_repository(
        name = "com_github_mxk_go_flowrate",
        commit = "cca7078d478f",
        importpath = "github.com/mxk/go-flowrate",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_naoina_go_stringutil",
        importpath = "github.com/naoina/go-stringutil",
        replace = "github.com/naoina/go-stringutil",
        sum = "h1:rCUeRUHjBjGTSHl0VC00jUPLz8/F9dDzYI70Hzifhks=",
        version = "v0.1.0",
    )
    go_repository(
        name = "com_github_naoina_toml",
        importpath = "github.com/naoina/toml",
        replace = "github.com/naoina/toml",
        sum = "h1:PT/lllxVVN0gzzSqSlHEmP8MJB4MY2U7STGxiouV4X8=",
        version = "v0.1.1",
    )

    go_repository(
        name = "com_github_netbox_community_go_netbox",
        commit = "514a84df2fa71cfff8364421c7e9fafffab08cc9",
        importpath = "github.com/netbox-community/go-netbox",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_nvveen_gotty",
        commit = "cd527374f1e5",
        importpath = "github.com/Nvveen/Gotty",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_nytimes_gziphandler",
        build_naming_convention = "go_default_library",
        importpath = "github.com/NYTimes/gziphandler",
        replace = "github.com/NYTimes/gziphandler",
        sum = "h1:lsxEuwrXEAokXB9qhlbKWPpo3KMLZQ5WB5WLQRW1uq0=",
        version = "v0.0.0-20170623195520-56545f4a5d46",
    )

    go_repository(
        name = "com_github_olekukonko_tablewriter",
        build_naming_convention = "go_default_library",
        importpath = "github.com/olekukonko/tablewriter",
        replace = "github.com/olekukonko/tablewriter",
        sum = "h1:58+kh9C6jJVXYjt8IE48G2eWl6BjwU5Gj0gqY84fy78=",
        version = "v0.0.0-20170122224234-a0225b3f23b5",
    )
    go_repository(
        name = "com_github_onsi_ginkgo",
        build_naming_convention = "go_default_library",
        importpath = "github.com/onsi/ginkgo",
        replace = "github.com/onsi/ginkgo",
        sum = "h1:JAKSXpt1YjtLA7YpPiqO9ss6sNXEsPfSGdwN0UHqzrw=",
        version = "v1.11.0",
    )

    go_repository(
        name = "com_github_onsi_gomega",
        build_naming_convention = "go_default_library",
        importpath = "github.com/onsi/gomega",
        replace = "github.com/onsi/gomega",
        sum = "h1:XPnZz8VVBHjVsy1vzJmRwIcSwiUO+JFfrv/xGiigmME=",
        version = "v1.7.0",
    )

    go_repository(
        name = "com_github_opencontainers_go_digest",
        build_naming_convention = "go_default_library",
        importpath = "github.com/opencontainers/go-digest",
        replace = "github.com/opencontainers/go-digest",
        sum = "h1:WzifXhOVOEOuFYOJAW6aQqW0TooG2iki3E3Ii+WN7gQ=",
        version = "v1.0.0-rc1",
    )

    go_repository(
        name = "com_github_opencontainers_image_spec",
        build_naming_convention = "go_default_library",
        importpath = "github.com/opencontainers/image-spec",
        replace = "github.com/opencontainers/image-spec",
        sum = "h1:JMemWkRwHx4Zj+fVxWoMCFm/8sYGGrUVojFA6h/TRcI=",
        version = "v1.0.1",
    )

    go_repository(
        name = "com_github_opencontainers_runc",
        build_naming_convention = "go_default_library",
        importpath = "github.com/opencontainers/runc",
        replace = "github.com/opencontainers/runc",
        sum = "h1:LcPVE5u4oaqw8ffPbJew0lUxZC7faM5t52PgU4px1xY=",
        version = "v1.0.0-rc91.0.20200707015106-819fcc687efb",
    )
    go_repository(
        name = "com_github_opencontainers_runtime_spec",
        importpath = "github.com/opencontainers/runtime-spec",
        replace = "github.com/opencontainers/runtime-spec",
        sum = "h1:9mv9SC7GWmRWE0J/+oD8w3GsN2KYGKtg6uwLN7hfP5E=",
        version = "v1.0.3-0.20200520003142-237cc4f519e2",
    )
    go_repository(
        name = "com_github_opencontainers_selinux",
        importpath = "github.com/opencontainers/selinux",
        replace = "github.com/opencontainers/selinux",
        sum = "h1:F6DgIsjgBIcDksLW4D5RG9bXok6oqZ3nvMwj4ZoFu/Q=",
        version = "v1.5.2",
    )

    go_repository(
        name = "com_github_openzipkin_zipkin_go",
        importpath = "github.com/openzipkin/zipkin-go",
        build_naming_convention = "go_default_library",
        tag = "v0.1.3",
    )

    go_repository(
        name = "com_github_pelletier_go_toml",
        build_naming_convention = "go_default_library",
        importpath = "github.com/pelletier/go-toml",
        replace = "github.com/pelletier/go-toml",
        sum = "h1:T5zMGML61Wp+FlcbWjRDT7yAxhJNAiPPLOFECq181zc=",
        version = "v1.2.0",
    )
    go_repository(
        name = "com_github_peterbourgon_diskv",
        importpath = "github.com/peterbourgon/diskv",
        build_naming_convention = "go_default_library",
        tag = "v2.0.1",
    )

    go_repository(
        name = "com_github_peterhellberg_link",
        importpath = "github.com/peterhellberg/link",
        build_naming_convention = "go_default_library",
        tag = "v1.0.0",
    )

    # gostatic at 2.24. Unfortunately upstream doesn't follow semver tagging in `vx.y.z` form,
    # thereby prohibiting usage of a gomod version directly in the version attribute of this
    # rule.
    go_repository(
        name = "com_github_piranha_gostatic",
        importpath = "github.com/piranha/gostatic",
        build_naming_convention = "go_default_library",
        sum = "h1:GfShSQ+2DojR7GRI5wPByszs93zHXW2zOT0SuHadW6A=",
        version = "v0.0.0-20200923134324-eb52cbb4fb83",
    )
    go_repository(
        name = "com_github_pkg_errors",
        build_naming_convention = "go_default_library",
        importpath = "github.com/pkg/errors",
        replace = "github.com/pkg/errors",
        sum = "h1:FEBLx1zS214owpjy7qsBeixbURkuhQAwrK5UwLGTwt4=",
        version = "v0.9.1",
    )

    go_repository(
        name = "com_github_pmezard_go_difflib",
        build_naming_convention = "go_default_library",
        importpath = "github.com/pmezard/go-difflib",
        replace = "github.com/pmezard/go-difflib",
        sum = "h1:4DBwDE0NGyQoBHbLQYPwSUPoCMWR5BEzIk/f1lZbAQM=",
        version = "v1.0.0",
    )

    go_repository(
        name = "com_github_pquerna_cachecontrol",
        commit = "0dec1b30a021",
        importpath = "github.com/pquerna/cachecontrol",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_projectcalico_calicoctl",
        importpath = "github.com/projectcalico/calicoctl",
        build_naming_convention = "go_default_library",
        # This fork implements explicit Bazel rules
        remote = "https://github.com/q3k/calicoctl",
        vcs = "git",
        commit = "1bc31862f07e7539ca493de9137ed1ad56cc9f43",
        build_file_generation = "off",
    )

    go_repository(
        name = "com_github_prometheus_client_golang",
        build_naming_convention = "go_default_library",
        importpath = "github.com/prometheus/client_golang",
        tag = "v1.0.0",
    )

    go_repository(
        name = "com_github_prometheus_client_model",
        build_naming_convention = "go_default_library",
        importpath = "github.com/prometheus/client_model",
        commit = "fd36f4220a90",
    )
    go_repository(
        name = "com_github_prometheus_common",
        build_naming_convention = "go_default_library",
        importpath = "github.com/prometheus/common",
        tag = "v0.4.1",
    )

    go_repository(
        name = "com_github_prometheus_procfs",
        build_naming_convention = "go_default_library",
        importpath = "github.com/prometheus/procfs",
        tag = "v0.0.2",
    )
    go_repository(
        name = "com_github_puerkitobio_purell",
        build_naming_convention = "go_default_library",
        importpath = "github.com/PuerkitoBio/purell",
        replace = "github.com/PuerkitoBio/purell",
        sum = "h1:WEQqlqaGbrPkxLJWfBwQmfEAE1Z7ONdDLqrN38tNFfI=",
        version = "v1.1.1",
    )

    go_repository(
        name = "com_github_puerkitobio_urlesc",
        build_naming_convention = "go_default_library",
        importpath = "github.com/PuerkitoBio/urlesc",
        replace = "github.com/PuerkitoBio/urlesc",
        sum = "h1:d+Bc7a5rLufV/sSk/8dngufqelfh6jnri85riMAaF/M=",
        version = "v0.0.0-20170810143723-de5bf2ad4578",
    )

    go_repository(
        name = "com_github_q3k_cursedjson",
        commit = "af0e3abb1bcef7197b3b9f91d7d094e6528a2d05",
        importpath = "github.com/q3k/cursedjson",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_q3k_cursedjsonrpc",
        commit = "304f0561c9162a2696f3ae7c96f3404324177ab8",
        importpath = "github.com/q3k/cursedjsonrpc",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_quobyte_api",
        importpath = "github.com/quobyte/api",
        replace = "github.com/quobyte/api",
        sum = "h1:lPHLsuvtjFyk8WhC4uHoHRkScijIHcffTWBBP+YpzYo=",
        version = "v0.1.2",
    )

    go_repository(
        name = "com_github_remyoudompheng_bigfft",
        build_naming_convention = "go_default_library",
        importpath = "github.com/remyoudompheng/bigfft",
        replace = "github.com/remyoudompheng/bigfft",
        sum = "h1:/NRJ5vAYoqz+7sG51ubIDHXeWO8DlTSrToPu6q11ziA=",
        version = "v0.0.0-20170806203942-52369c62f446",
    )
    go_repository(
        name = "com_github_robfig_cron",
        importpath = "github.com/robfig/cron",
        replace = "github.com/robfig/cron",
        sum = "h1:jk4/Hud3TTdcrJgUOBgsqrZBarcxl6ADIjSC2iniwLY=",
        version = "v1.1.0",
    )

    go_repository(
        name = "com_github_rogpeppe_fastuuid",
        build_naming_convention = "go_default_library",
        importpath = "github.com/rogpeppe/fastuuid",
        replace = "github.com/rogpeppe/fastuuid",
        sum = "h1:gu+uRPtBe88sKxUCEXRoeCvVG90TJmwhiqRpvdhQFng=",
        version = "v0.0.0-20150106093220-6724a57986af",
    )
    go_repository(
        name = "com_github_rogpeppe_go_internal",
        importpath = "github.com/rogpeppe/go-internal",
        replace = "github.com/rogpeppe/go-internal",
        sum = "h1:RR9dF3JtopPvtkroDZuVD7qquD0bnHlKSqaQhgwt8yk=",
        version = "v1.3.0",
    )

    go_repository(
        name = "com_github_rs_cors",
        commit = "db0fe48135e83b5812a5a31be0eea66984b1b521",
        importpath = "github.com/rs/cors",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_rs_xid",
        importpath = "github.com/rs/xid",
        build_naming_convention = "go_default_library",
        sum = "h1:mhH9Nq+C1fY2l1XIpgxIiUOfNpRBYH1kKcr+qfKgjRc=",
        version = "v1.2.1",
    )
    go_repository(
        name = "com_github_russross_blackfriday",
        build_naming_convention = "go_default_library",
        importpath = "github.com/russross/blackfriday",
        replace = "github.com/russross/blackfriday",
        sum = "h1:HyvC0ARfnZBqnXwABFeSZHpKvJHJJfPz81GNueLj0oo=",
        version = "v1.5.2",
    )
    go_repository(
        name = "com_github_russross_blackfriday_v2",
        importpath = "github.com/russross/blackfriday/v2",
        replace = "github.com/russross/blackfriday/v2",
        sum = "h1:lPqVAte+HuHNfhJ/0LC98ESWRz8afy9tM/0RK8m9o+Q=",
        version = "v2.0.1",
    )

    go_repository(
        name = "com_github_sebastiaanklippert_go_wkhtmltopdf",
        commit = "72a7793efd38728796273861bb27d590cc33d9d4",
        importpath = "github.com/sebastiaanklippert/go-wkhtmltopdf",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_seccomp_libseccomp_golang",
        importpath = "github.com/seccomp/libseccomp-golang",
        replace = "github.com/seccomp/libseccomp-golang",
        sum = "h1:NJjM5DNFOs0s3kYE1WUOr6G8V97sdt46rlXTMfXGWBo=",
        version = "v0.9.1",
    )

    go_repository(
        name = "com_github_sergi_go_diff",
        build_naming_convention = "go_default_library",
        importpath = "github.com/sergi/go-diff",
        replace = "github.com/sergi/go-diff",
        sum = "h1:Kpca3qRNrduNnOQeazBd0ysaKrUJiIuISHxogkT9RPQ=",
        version = "v1.0.0",
    )
    go_repository(
        name = "com_github_sethvargo_go_password",
        commit = "68ac5879751a7105834296859f8c1bf70b064675",
        importpath = "github.com/sethvargo/go-password",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_shirou_gopsutil",
        commit = "2cbc9195c892b304060269ef280375236d2fcac9",
        importpath = "github.com/shirou/gopsutil",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_shurcool_httpfs",
        commit = "809beceb2371",
        importpath = "github.com/shurcooL/httpfs",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_shurcool_sanitized_anchor_name",
        build_naming_convention = "go_default_library",
        importpath = "github.com/shurcooL/sanitized_anchor_name",
        replace = "github.com/shurcooL/sanitized_anchor_name",
        sum = "h1:PdmoCO6wvbs+7yrJyMORt4/BmY5IYyJwS/kOiWx8mHo=",
        version = "v1.0.0",
    )
    go_repository(
        name = "com_github_sirupsen_logrus",
        build_naming_convention = "go_default_library",
        importpath = "github.com/sirupsen/logrus",
        replace = "github.com/sirupsen/logrus",
        sum = "h1:UBcNElsrwanuuMsnGSlYmtmgbb23qDR5dG+6X6Oo89I=",
        version = "v1.6.0",
    )
    go_repository(
        name = "com_github_smartystreets_assertions",
        importpath = "github.com/smartystreets/assertions",
        replace = "github.com/smartystreets/assertions",
        sum = "h1:zE9ykElWQ6/NYmHa3jpm/yHnI4xSofP+UP6SpjHcSeM=",
        version = "v0.0.0-20180927180507-b2de0cb4f26d",
    )
    go_repository(
        name = "com_github_smartystreets_goconvey",
        importpath = "github.com/smartystreets/goconvey",
        replace = "github.com/smartystreets/goconvey",
        sum = "h1:fv0U8FUIMPNf1L9lnHLvLhgicrIVChEkdzIKYqbNC9s=",
        version = "v1.6.4",
    )

    go_repository(
        name = "com_github_soheilhy_cmux",
        build_naming_convention = "go_default_library",
        importpath = "github.com/soheilhy/cmux",
        replace = "github.com/soheilhy/cmux",
        sum = "h1:0HKaf1o97UwFjHH9o5XsHUOF+tqmdA7KEzXLpiyaw0E=",
        version = "v0.1.4",
    )

    go_repository(
        name = "com_github_spf13_afero",
        build_naming_convention = "go_default_library",
        importpath = "github.com/spf13/afero",
        replace = "github.com/spf13/afero",
        sum = "h1:5jhuqJyZCZf2JRofRvN/nIFgIWNzPa3/Vz8mYylgbWc=",
        version = "v1.2.2",
    )

    go_repository(
        name = "com_github_spf13_cast",
        build_naming_convention = "go_default_library",
        importpath = "github.com/spf13/cast",
        replace = "github.com/spf13/cast",
        sum = "h1:oget//CVOEoFewqQxwr0Ej5yjygnqGkvggSE/gB35Q8=",
        version = "v1.3.0",
    )
    go_repository(
        name = "com_github_spf13_cobra",
        build_naming_convention = "go_default_library",
        importpath = "github.com/spf13/cobra",
        replace = "github.com/spf13/cobra",
        sum = "h1:6m/oheQuQ13N9ks4hubMG6BnvwOeaJrqSPLahSnczz8=",
        version = "v1.0.0",
    )

    go_repository(
        name = "com_github_spf13_jwalterweatherman",
        build_naming_convention = "go_default_library",
        importpath = "github.com/spf13/jwalterweatherman",
        replace = "github.com/spf13/jwalterweatherman",
        sum = "h1:ue6voC5bR5F8YxI5S67j9i582FU4Qvo2bmqnqMYADFk=",
        version = "v1.1.0",
    )
    go_repository(
        name = "com_github_spf13_pflag",
        build_naming_convention = "go_default_library",
        importpath = "github.com/spf13/pflag",
        replace = "github.com/spf13/pflag",
        sum = "h1:iy+VFUOCP1a+8yFto/drg2CJ5u0yRoB7fZw3DKv/JXA=",
        version = "v1.0.5",
    )

    go_repository(
        name = "com_github_spf13_viper",
        build_naming_convention = "go_default_library",
        importpath = "github.com/spf13/viper",
        replace = "github.com/spf13/viper",
        sum = "h1:yXHLWeravcrgGyFSyCgdYpXQ9dR9c/WED3pg1RhxqEU=",
        version = "v1.4.0",
    )
    go_repository(
        name = "com_github_stackexchange_wmi",
        commit = "cbe66965904dbe8a6cd589e2298e5d8b986bd7dd",
        importpath = "github.com/stackexchange/wmi",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_storageos_go_api",
        importpath = "github.com/storageos/go-api",
        replace = "github.com/storageos/go-api",
        sum = "h1:n+WYaU0kQ6WIiuEyWSgbXqkBx16irO69kYCtwVYoO5s=",
        version = "v0.0.0-20180912212459-343b3eff91fc",
    )

    go_repository(
        name = "com_github_stretchr_objx",
        build_naming_convention = "go_default_library",
        importpath = "github.com/stretchr/objx",
        replace = "github.com/stretchr/objx",
        sum = "h1:Hbg2NidpLE8veEBkEZTL3CvlkUIVzuU9jDplZO54c48=",
        version = "v0.2.0",
    )

    go_repository(
        name = "com_github_stretchr_testify",
        build_naming_convention = "go_default_library",
        importpath = "github.com/stretchr/testify",
        replace = "github.com/stretchr/testify",
        sum = "h1:2E4SXV/wtOkTonXsotYi4li6zVWxYlZuYNCXe9XRJyk=",
        version = "v1.4.0",
    )
    go_repository(
        name = "com_github_syndtr_gocapability",
        importpath = "github.com/syndtr/gocapability",
        replace = "github.com/syndtr/gocapability",
        sum = "h1:b6uOv7YOFK0TYG7HtkIgExQo+2RdLuwRft63jn2HWj8=",
        version = "v0.0.0-20180916011248-d98352740cb2",
    )

    go_repository(
        name = "com_github_technoweenie_multipartstreamer",
        commit = "a90a01d73ae432e2611d178c18367fbaa13e0154",
        importpath = "github.com/technoweenie/multipartstreamer",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_thecodeteam_goscaleio",
        importpath = "github.com/thecodeteam/goscaleio",
        replace = "github.com/thecodeteam/goscaleio",
        sum = "h1:SB5tO98lawC+UK8ds/U2jyfOCH7GTcFztcF5x9gbut4=",
        version = "v0.1.0",
    )
    go_repository(
        name = "com_github_tidwall_pretty",
        importpath = "github.com/tidwall/pretty",
        replace = "github.com/tidwall/pretty",
        sum = "h1:HsD+QiTn7sK6flMKIvNmpqz1qrpP3Ps6jOKIKMooyg4=",
        version = "v1.0.0",
    )

    go_repository(
        name = "com_github_tmc_grpc_websocket_proxy",
        build_naming_convention = "go_default_library",
        importpath = "github.com/tmc/grpc-websocket-proxy",
        replace = "github.com/tmc/grpc-websocket-proxy",
        sum = "h1:LnC5Kc/wtumK+WB441p7ynQJzVuNRJiqddSIE3IlSEQ=",
        version = "v0.0.0-20190109142713-0ad062ec5ee5",
    )
    go_repository(
        name = "com_github_ugorji_go",
        importpath = "github.com/ugorji/go",
        replace = "github.com/ugorji/go",
        sum = "h1:j4s+tAvLfL3bZyefP2SEWmhBzmuIlH/eqNuPdFPgngw=",
        version = "v1.1.4",
    )

    go_repository(
        name = "com_github_ugorji_go_codec",
        commit = "d75b2dcb6bc8",
        importpath = "github.com/ugorji/go/codec",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_ulule_limiter_v3",
        commit = "6911899e37a5788df86f770b3f85c1c3eb0313d5",
        importpath = "github.com/ulule/limiter/v3",
        build_naming_convention = "go_default_library",
        remote = "https://github.com/ulule/limiter",
        vcs = "git",
    )
    go_repository(
        name = "com_github_urfave_cli",
        build_naming_convention = "go_default_library",
        importpath = "github.com/urfave/cli",
        replace = "github.com/urfave/cli",
        sum = "h1:gsqYFH8bb9ekPA12kRo0hfjngWQjkJPlN9R0N78BoUo=",
        version = "v1.22.2",
    )
    go_repository(
        name = "com_github_urfave_negroni",
        importpath = "github.com/urfave/negroni",
        replace = "github.com/urfave/negroni",
        sum = "h1:kIimOitoypq34K7TG7DUaJ9kq/N4Ofuwi1sjz0KipXc=",
        version = "v1.0.0",
    )
    go_repository(
        name = "com_github_vektah_gqlparser",
        importpath = "github.com/vektah/gqlparser",
        replace = "github.com/vektah/gqlparser",
        sum = "h1:ZsyLGn7/7jDNI+y4SEhI4yAxRChlv15pUHMjijT+e68=",
        version = "v1.1.2",
    )
    go_repository(
        name = "com_github_vishvananda_netlink",
        importpath = "github.com/vishvananda/netlink",
        replace = "github.com/vishvananda/netlink",
        sum = "h1:1iyaYNBLmP6L0220aDnYQpo1QEV4t4hJ+xEEhhJH8j0=",
        version = "v1.1.0",
    )
    go_repository(
        name = "com_github_vishvananda_netns",
        importpath = "github.com/vishvananda/netns",
        replace = "github.com/vishvananda/netns",
        sum = "h1:mjAZxE1nh8yvuwhGHpdDqdhtNu2dgbpk93TwoXuk5so=",
        version = "v0.0.0-20200520041808-52d707b772fe",
    )
    go_repository(
        name = "com_github_vmware_govmomi",
        importpath = "github.com/vmware/govmomi",
        replace = "github.com/vmware/govmomi",
        sum = "h1:gpw/0Ku+6RgF3jsi7fnCLmlcikBHfKBCUcu1qgc16OU=",
        version = "v0.20.3",
    )

    go_repository(
        name = "com_github_xanzy_ssh_agent",
        commit = "6a3e2ff9e7c564f36873c2e36413f634534f1c44",
        importpath = "github.com/xanzy/ssh-agent",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "com_github_xiang90_probing",
        build_naming_convention = "go_default_library",
        importpath = "github.com/xiang90/probing",
        replace = "github.com/xiang90/probing",
        sum = "h1:eY9dn8+vbi4tKz5Qo6v2eYzo7kUS51QINcR5jNpbZS8=",
        version = "v0.0.0-20190116061207-43a291ad63a2",
    )

    go_repository(
        name = "com_github_xlab_handysort",
        commit = "fb3537ed64a1",
        importpath = "github.com/xlab/handysort",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_github_xordataexchange_crypt",
        build_naming_convention = "go_default_library",
        importpath = "github.com/xordataexchange/crypt",
        replace = "github.com/xordataexchange/crypt",
        sum = "h1:ESFSdwYZvkeru3RtdrYueztKhOBCSAAzS4Gf+k0tEow=",
        version = "v0.0.3-0.20170626215501-b2862e3d0a77",
    )

    go_repository(
        name = "com_github_yuin_goldmark",
        importpath = "github.com/yuin/goldmark",
        build_naming_convention = "go_default_library",
        sum = "h1:ruQGxdhGHe7FWOJPT0mKs5+pD2Xs1Bm/kdGlHO04FmM=",
        version = "v1.2.1",
    )
    go_repository(
        name = "com_github_ziutek_telnet",
        commit = "c3b780dc415b28894076b4ec975ea3ea69e3980f",
        importpath = "github.com/ziutek/telnet",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "com_google_cloud_go",
        build_naming_convention = "go_default_library",
        importpath = "cloud.google.com/go",
        replace = "cloud.google.com/go",
        sum = "h1:PvKAVQWCtlGUSlZkGW3QLelKaWq7KYv/MW1EboG8bfM=",
        version = "v0.51.0",
    )
    go_repository(
        name = "com_google_cloud_go_bigquery",
        importpath = "cloud.google.com/go/bigquery",
        replace = "cloud.google.com/go/bigquery",
        sum = "h1:hL+ycaJpVE9M7nLoiXb/Pn10ENE2u+oddxbD8uu0ZVU=",
        version = "v1.0.1",
    )
    go_repository(
        name = "com_google_cloud_go_datastore",
        importpath = "cloud.google.com/go/datastore",
        replace = "cloud.google.com/go/datastore",
        sum = "h1:Kt+gOPPp2LEPWp8CSfxhsM8ik9CcyE/gYu+0r+RnZvM=",
        version = "v1.0.0",
    )
    go_repository(
        name = "com_google_cloud_go_pubsub",
        importpath = "cloud.google.com/go/pubsub",
        replace = "cloud.google.com/go/pubsub",
        sum = "h1:W9tAK3E57P75u0XLLR82LZyw8VpAnhmyTOxW9qzmyj8=",
        version = "v1.0.1",
    )
    go_repository(
        name = "com_google_cloud_go_storage",
        importpath = "cloud.google.com/go/storage",
        replace = "cloud.google.com/go/storage",
        sum = "h1:VV2nUM3wwLLGh9lSABFgZMjInyUbJeaRSE64WuAIQ+4=",
        version = "v1.0.0",
    )
    go_repository(
        name = "com_shuralyov_dmitri_gpu_mtl",
        importpath = "dmitri.shuralyov.com/gpu/mtl",
        replace = "dmitri.shuralyov.com/gpu/mtl",
        sum = "h1:VpgP7xuJadIUuKccphEpTJnWhS2jkQyMt6Y7pJCD7fY=",
        version = "v0.0.0-20190408044501-666a987793e9",
    )

    go_repository(
        name = "in_gopkg_airbrake_gobrake_v2",
        importpath = "gopkg.in/airbrake/gobrake.v2",
        build_naming_convention = "go_default_library",
        tag = "v2.0.9",
    )

    go_repository(
        name = "in_gopkg_alecthomas_kingpin_v2",
        build_naming_convention = "go_default_library",
        importpath = "gopkg.in/alecthomas/kingpin.v2",
        replace = "gopkg.in/alecthomas/kingpin.v2",
        sum = "h1:jMFz6MfLP0/4fUyZle81rXUoxOBFi19VUFKVDOQfozc=",
        version = "v2.2.6",
    )
    go_repository(
        name = "in_gopkg_asn1_ber_v1",
        commit = "f715ec2f112d1e4195b827ad68cf44017a3ef2b1",
        importpath = "gopkg.in/asn1-ber.v1",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "in_gopkg_check_v1",
        build_naming_convention = "go_default_library",
        importpath = "gopkg.in/check.v1",
        replace = "gopkg.in/check.v1",
        sum = "h1:YR8cESwS4TdDjEe65xsg0ogRM/Nc3DYOhEAlW+xobZo=",
        version = "v1.0.0-20190902080502-41f04d3bba15",
    )

    go_repository(
        name = "in_gopkg_cheggaaa_pb_v1",
        build_naming_convention = "go_default_library",
        importpath = "gopkg.in/cheggaaa/pb.v1",
        replace = "gopkg.in/cheggaaa/pb.v1",
        sum = "h1:Ev7yu1/f6+d+b3pi5vPdRPc6nNtP1umSfcWiEfRqv6I=",
        version = "v1.0.25",
    )
    go_repository(
        name = "in_gopkg_errgo_v2",
        importpath = "gopkg.in/errgo.v2",
        replace = "gopkg.in/errgo.v2",
        sum = "h1:0vLT13EuvQ0hNvakwLuFZ/jYrLp5F3kcWHXdRggjCE8=",
        version = "v2.1.0",
    )

    go_repository(
        name = "in_gopkg_fsnotify_v1",
        build_naming_convention = "go_default_library",
        importpath = "gopkg.in/fsnotify.v1",
        replace = "gopkg.in/fsnotify.v1",
        sum = "h1:xOHLXZwVvI9hhs+cLKq5+I5onOuwQLhQwiu63xxlHs4=",
        version = "v1.4.7",
    )
    go_repository(
        name = "in_gopkg_gcfg_v1",
        importpath = "gopkg.in/gcfg.v1",
        replace = "gopkg.in/gcfg.v1",
        sum = "h1:0HIbH907iBTAntm+88IJV2qmJALDAh8sPekI9Vc1fm0=",
        version = "v1.2.0",
    )

    go_repository(
        name = "in_gopkg_gemnasium_logrus_airbrake_hook_v2",
        importpath = "gopkg.in/gemnasium/logrus-airbrake-hook.v2",
        build_naming_convention = "go_default_library",
        tag = "v2.1.2",
    )
    go_repository(
        name = "in_gopkg_inf_v0",
        importpath = "gopkg.in/inf.v0",
        build_naming_convention = "go_default_library",
        tag = "v0.9.1",
    )

    go_repository(
        name = "in_gopkg_ini_v1",
        importpath = "gopkg.in/ini.v1",
        build_naming_convention = "go_default_library",
        sum = "h1:duBzk771uxoUuOlyRLkHsygud9+5lrlGjdFBb4mSKDU=",
        version = "v1.62.0",
    )
    go_repository(
        name = "in_gopkg_irc_v3",
        commit = "d07dcb9293789fdc99c797d3499a5799bc343b86",
        importpath = "gopkg.in/irc.v3",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "in_gopkg_ldap_v3",
        commit = "9f0d712775a0973b7824a1585a86a4ea1d5263d9",
        importpath = "gopkg.in/ldap.v3",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "in_gopkg_mcuadros_go_syslog_v2",
        importpath = "gopkg.in/mcuadros/go-syslog.v2",
        replace = "gopkg.in/mcuadros/go-syslog.v2",
        sum = "h1:60g8zx1BijSVSgLTzLCW9UC4/+i1Ih9jJ1DR5Tgp9vE=",
        version = "v2.2.1",
    )

    go_repository(
        name = "in_gopkg_natefinch_lumberjack_v2",
        build_naming_convention = "go_default_library",
        importpath = "gopkg.in/natefinch/lumberjack.v2",
        replace = "gopkg.in/natefinch/lumberjack.v2",
        sum = "h1:1Lc07Kr7qY4U2YPouBjpCLxpiyxIVoxqXgkXLknAOE8=",
        version = "v2.0.0",
    )

    go_repository(
        name = "in_gopkg_resty_v1",
        build_naming_convention = "go_default_library",
        importpath = "gopkg.in/resty.v1",
        replace = "gopkg.in/resty.v1",
        sum = "h1:CuXP0Pjfw9rOuY6EP+UvtNvt5DSqHpIxILZKT/quCZI=",
        version = "v1.12.0",
    )

    go_repository(
        name = "in_gopkg_russross_blackfriday_v2",
        commit = "d3b5b032dc8e8927d31a5071b56e14c89f045135",
        importpath = "gopkg.in/russross/blackfriday.v2",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "in_gopkg_square_go_jose_v2",
        build_naming_convention = "go_default_library",
        importpath = "gopkg.in/square/go-jose.v2",
        replace = "gopkg.in/square/go-jose.v2",
        sum = "h1:orlkJ3myw8CN1nVQHBFfloD+L3egixIa4FvUP6RosSA=",
        version = "v2.2.2",
    )
    go_repository(
        name = "in_gopkg_tomb_v1",
        build_naming_convention = "go_default_library",
        importpath = "gopkg.in/tomb.v1",
        replace = "gopkg.in/tomb.v1",
        sum = "h1:uRGJdciOHaEIrze2W8Q3AKkepLTh2hOroT7a+7czfdQ=",
        version = "v1.0.0-20141024135613-dd632973f1e7",
    )

    go_repository(
        name = "in_gopkg_warnings_v0",
        commit = "ec4a0fea49c7b46c2aeb0b51aac55779c607e52b",
        importpath = "gopkg.in/warnings.v0",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "in_gopkg_yaml_v2",
        build_naming_convention = "go_default_library",
        importpath = "gopkg.in/yaml.v2",
        replace = "gopkg.in/yaml.v2",
        sum = "h1:obN1ZagJSUGI0Ek/LBmuj4SNLPfIny3KsKFopxRdj10=",
        version = "v2.2.8",
    )

    go_repository(
        name = "in_gopkg_yaml_v3",
        importpath = "gopkg.in/yaml.v3",
        build_naming_convention = "go_default_library",
        sum = "h1:tQIYjPdBoyREyB9XMu+nnTclpTYkz2zFM+lzLJFO4gQ=",
        version = "v3.0.0-20200615113413-eeeca48fe776",
    )
    go_repository(
        name = "io_etcd_go_bbolt",
        build_naming_convention = "go_default_library",
        importpath = "go.etcd.io/bbolt",
        replace = "go.etcd.io/bbolt",
        sum = "h1:XAzx9gjCb0Rxj7EoqcClPD1d5ZBxZJk0jbuoPHenBt0=",
        version = "v1.3.5",
    )

    go_repository(
        name = "io_etcd_go_etcd",
        build_naming_convention = "go_default_library",
        importpath = "go.etcd.io/etcd",
        replace = "go.etcd.io/etcd",
        sum = "h1:Gqga3zA9tdAcfqobUGjSoCob5L3f8Dt5EuOp3ihNZko=",
        version = "v0.5.0-alpha.5.0.20200819165624-17cef6e3e9d5",
    )
    go_repository(
        name = "io_filippo_age",
        importpath = "filippo.io/age",
        sum = "h1:V6q14n0mqYU3qKFkZ6oOaF9oXneOviS3ubXsSVBRSzc=",
        version = "v1.0.0",
    )
    go_repository(
        name = "io_filippo_edwards25519",
        importpath = "filippo.io/edwards25519",
        sum = "h1:m0VOOB23frXZvAOK44usCgLWvtsxIoMCTBGJZlpmGfU=",
        version = "v1.0.0-rc.1",
    )

    go_repository(
        name = "io_k8s_api",
        build_file_proto_mode = "disable",
        importpath = "k8s.io/api",
        build_naming_convention = "go_default_library",
        sum = "h1:GN6ntFnv44Vptj/b+OnMW7FmzkpDoIDLZRvKX3XH9aU=",
        version = "v0.19.3",
    )

    go_repository(
        name = "io_k8s_apiextensions_apiserver",
        build_file_proto_mode = "disable",
        importpath = "k8s.io/apiextensions-apiserver",
        build_naming_convention = "go_default_library",
        sum = "h1:WZxBypSHW4SdXHbdPTS/Jy7L2la6Niggs8BuU5o+avo=",
        version = "v0.19.3",
    )
    go_repository(
        name = "io_k8s_apimachinery",
        build_file_proto_mode = "disable",
        importpath = "k8s.io/apimachinery",
        build_naming_convention = "go_default_library",
        patch_args = ["-p1"],
        patches = ["//third_party/go/k8s-apimachinery:fix-kubernetes-bug-87675.patch"],
        sum = "h1:bpIQXlKjB4cB/oNpnNnV+BybGPR7iP5oYpsOTEJ4hgc=",
        version = "v0.19.3",
    )

    go_repository(
        name = "io_k8s_apiserver",
        importpath = "k8s.io/apiserver",
        build_naming_convention = "go_default_library",
        sum = "h1:H7KUbLD74rh8NOPMLBJPSEG3Djqcv6Zxn5Ud0AL5u/k=",
        version = "v0.19.3",
    )

    go_repository(
        name = "io_k8s_cli_runtime",
        importpath = "k8s.io/cli-runtime",
        build_naming_convention = "go_default_library",
        sum = "h1:vZUTphJIvlh7+867cXiLmyzoCAuQdukbPLIad6eEajQ=",
        version = "v0.19.3",
    )
    go_repository(
        name = "io_k8s_client_go",
        build_extra_args = [
            "-known_import=github.com/Azure/go-autorest",
            "-known_import=github.com/googleapis/gnostic",
        ],
        importpath = "k8s.io/client-go",
        build_naming_convention = "go_default_library",
        sum = "h1:ctqR1nQ52NUs6LpI0w+a5U+xjYwflFwA13OJKcicMxg=",
        version = "v0.19.3",
    )

    go_repository(
        name = "io_k8s_code_generator",
        importpath = "k8s.io/code-generator",
        build_naming_convention = "go_default_library",
        sum = "h1:fTrTpJ8PZog5oo6MmeZtveo89emjQZHiw0ieybz1RSs=",
        version = "v0.19.3",
    )

    go_repository(
        name = "io_k8s_component_base",
        importpath = "k8s.io/component-base",
        build_naming_convention = "go_default_library",
        sum = "h1:c+DzDNAQFlaoyX+yv8YuWi8xmlQvvY5DnJGbaz5U74o=",
        version = "v0.19.3",
    )

    go_repository(
        name = "io_k8s_gengo",
        build_naming_convention = "go_default_library",
        importpath = "k8s.io/gengo",
        replace = "k8s.io/gengo",
        sum = "h1:t4L10Qfx/p7ASH3gXCdIUtPbbIuegCoUJf3TMSFekjw=",
        version = "v0.0.0-20200428234225-8167cfdcfc14",
    )
    go_repository(
        name = "io_k8s_heapster",
        importpath = "k8s.io/heapster",
        replace = "k8s.io/heapster",
        sum = "h1:lUsE/AHOMHpi3MLlBEkaU8Esxm5QhdyCrv1o7ot0s84=",
        version = "v1.2.0-beta.1",
    )

    go_repository(
        name = "io_k8s_klog",
        importpath = "k8s.io/klog",
        build_naming_convention = "go_default_library",
        sum = "h1:Pt+yjF5aB1xDSVbau4VsWe+dQNzA0qv1LlXdC2dF6Q8=",
        version = "v1.0.0",
    )

    go_repository(
        name = "io_k8s_klog_v2",
        importpath = "k8s.io/klog/v2",
        build_naming_convention = "go_default_library",
        sum = "h1:7+X0fUguPyrKEC4WjH8iGDg3laWgMo5tMnRTIGTTxGQ=",
        version = "v2.4.0",
    )
    go_repository(
        name = "io_k8s_kube_openapi",
        build_extra_args = ["-known_import=github.com/googleapis/gnostic"],
        importpath = "k8s.io/kube-openapi",
        build_naming_convention = "go_default_library",
        sum = "h1:mNpvQf4lkIHNOXCoM+Veu/UXwA56Yx1J7hY1Tvcs/oM=",
        version = "v0.0.0-20200923155610-8b5066479488",
    )

    go_repository(
        name = "io_k8s_kubectl",
        importpath = "k8s.io/kubectl",
        build_naming_convention = "go_default_library",
        sum = "h1:T8IHHpg+uRIfn34wqJ8wHG5bbH+VV5FNPtJ+jKcho1U=",
        version = "v0.19.3",
    )
    go_repository(
        name = "io_k8s_kubernetes",
        importpath = "k8s.io/kubernetes",
        build_naming_convention = "go_default_library",
        patch_args = ["-p1"],
        patches = ["//third_party/go/kubernetes:build.patch"],
        sum = "h1:V6ohBHSxTkrPRyfVp8tbdEsgi9nfVN49xlUVkQseass=",
        version = "v1.19.3",
    )

    go_repository(
        name = "io_k8s_metrics",
        build_file_proto_mode = "disable",
        importpath = "k8s.io/metrics",
        build_naming_convention = "go_default_library",
        sum = "h1:p/goUqtdCslX76mSNowzZkNxiKzNRQW4bUP02U34+QQ=",
        version = "v0.19.3",
    )
    go_repository(
        name = "io_k8s_repo_infra",
        commit = "df02ded38f9506e5bbcbf21702034b4fef815f2f",
        importpath = "k8s.io/repo-infra",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "io_k8s_sigs_kustomize",
        build_naming_convention = "go_default_library",
        importpath = "sigs.k8s.io/kustomize",
        replace = "sigs.k8s.io/kustomize",
        sum = "h1:JUufWFNlI44MdtnjUqVnvh29rR37PQFzPbLXqhyOyX0=",
        version = "v2.0.3+incompatible",
    )

    go_repository(
        name = "io_k8s_sigs_structured_merge_diff",
        commit = "b1b620dd3f06",
        importpath = "sigs.k8s.io/structured-merge-diff",
        build_naming_convention = "go_default_library",
    )

    go_repository(
        name = "io_k8s_sigs_structured_merge_diff_v4",
        build_naming_convention = "go_default_library",
        importpath = "sigs.k8s.io/structured-merge-diff/v4",
        replace = "sigs.k8s.io/structured-merge-diff/v4",
        sum = "h1:YXTMot5Qz/X1iBRJhAt+vI+HVttY0WkSqqhKxQ0xVbA=",
        version = "v4.0.1",
    )
    go_repository(
        name = "io_k8s_sigs_yaml",
        build_naming_convention = "go_default_library",
        importpath = "sigs.k8s.io/yaml",
        replace = "sigs.k8s.io/yaml",
        sum = "h1:kr/MCeFWJWTwyaHoR9c8EjH9OumOmoF9YGiZd7lFm/Q=",
        version = "v1.2.0",
    )
    go_repository(
        name = "io_k8s_system_validators",
        importpath = "k8s.io/system-validators",
        replace = "k8s.io/system-validators",
        sum = "h1:0xzEb0PqnDnUOuf/2E/gaJBOBN7j+qf0LIn12jw3oc4=",
        version = "v1.1.2",
    )

    go_repository(
        name = "io_k8s_utils",
        build_naming_convention = "go_default_library",
        importpath = "k8s.io/utils",
        replace = "k8s.io/utils",
        sum = "h1:uJmqzgNWG7XyClnU/mLPBWwfKKF1K8Hf8whTseBgJcg=",
        version = "v0.0.0-20200729134348-d5654de09c73",
    )

    go_repository(
        name = "io_opencensus_go",
        build_naming_convention = "go_default_library",
        importpath = "go.opencensus.io",
        replace = "go.opencensus.io",
        sum = "h1:75k/FF0Q2YM8QYo07VPddOLBslDt1MZOdEslOHvmzAs=",
        version = "v0.22.2",
    )
    go_repository(
        name = "io_opencensus_go_contrib_exporter_ocagent",
        importpath = "contrib.go.opencensus.io/exporter/ocagent",
        build_naming_convention = "go_default_library",
        sum = "h1:BEfdCTXfMV30tLZD8c9n64V/tIZX5+9sXiuFLnrr1k8=",
        version = "v0.7.0",
    )
    go_repository(
        name = "io_rsc_pdf",
        importpath = "rsc.io/pdf",
        replace = "rsc.io/pdf",
        sum = "h1:k1MczvYDUvJBe93bYd7wrZLLUEcLZAuF824/I4e5Xr4=",
        version = "v0.1.1",
    )

    go_repository(
        name = "ml_vbom_util_sortorder",
        commit = "26fad50c6b32a3064c09ed089865c16f2f3615f6",
        importpath = "vbom.ml/util/sortorder",
        build_naming_convention = "go_default_library",
        remote = "https://github.com/fvbommel/sortorder",
        vcs = "git",
    )

    go_repository(
        name = "org_apache_git_thrift_git",
        commit = "9b75e4fe745a",
        importpath = "git.apache.org/thrift.git",
        build_naming_convention = "go_default_library",
    )
    go_repository(
        name = "org_bitbucket_bertimus9_systemstat",
        importpath = "bitbucket.org/bertimus9/systemstat",
        replace = "bitbucket.org/bertimus9/systemstat",
        sum = "h1:N9r8OBSXAgEUfho3SQtZLY8zo6E1OdOMvelvP22aVFc=",
        version = "v0.0.0-20180207000608-0eeff89b0690",
    )

    go_repository(
        name = "org_golang_google_api",
        build_naming_convention = "go_default_library",
        importpath = "google.golang.org/api",
        replace = "google.golang.org/api",
        sum = "h1:5mMS6mYvK5LVB8+ujVBC33Y8gltBo/kT6HBm6kU80G4=",
        version = "v0.15.1",
    )

    go_repository(
        name = "org_golang_google_appengine",
        build_naming_convention = "go_default_library",
        importpath = "google.golang.org/appengine",
        replace = "google.golang.org/appengine",
        sum = "h1:tycE03LOZYQNhDpS27tcQdAzLCVMaj7QT2SXxebnpCM=",
        version = "v1.6.5",
    )
    go_repository(
        name = "org_golang_google_genproto",
        importpath = "google.golang.org/genproto",
        replace = "google.golang.org/genproto",
        sum = "h1:+kGHl1aib/qcwaRi1CbqBZ1rk19r85MNUf8HaBghugY=",
        version = "v0.0.0-20200526211855-cb27e3aa2013",
    )

    go_repository(
        name = "org_golang_google_grpc",
        importpath = "google.golang.org/grpc",
        build_naming_convention = "go_default_library",
        tag = "v1.29.1",
    )
    go_repository(
        name = "org_golang_google_protobuf",
        importpath = "google.golang.org/protobuf",
        replace = "google.golang.org/protobuf",
        sum = "h1:UhZDfRO8JRQru4/+LlLE0BRKGF8L+PICnvYZmx/fEGA=",
        version = "v1.24.0",
    )

    go_repository(
        name = "org_golang_x_exp",
        build_naming_convention = "go_default_library",
        importpath = "golang.org/x/exp",
        replace = "golang.org/x/exp",
        sum = "h1:zQpM52jfKHG6II1ISZY1ZcpygvuSFZpLwfluuF89XOg=",
        version = "v0.0.0-20191227195350-da58074b4299",
    )

    go_repository(
        name = "org_golang_x_image",
        build_naming_convention = "go_default_library",
        importpath = "golang.org/x/image",
        replace = "golang.org/x/image",
        sum = "h1:+qEpEAPhDZ1o0x3tHzZTQDArnOixOzGD9HUJfcg0mb4=",
        version = "v0.0.0-20190802002840-cff245a6509b",
    )
    go_repository(
        name = "org_golang_x_lint",
        build_naming_convention = "go_default_library",
        importpath = "golang.org/x/lint",
        replace = "golang.org/x/lint",
        sum = "h1:J5lckAjkw6qYlOZNj90mLYNTEKDvWeuc1yieZ8qUzUE=",
        version = "v0.0.0-20191125180803-fdd1cda4f05f",
    )

    go_repository(
        name = "org_golang_x_mobile",
        build_naming_convention = "go_default_library",
        importpath = "golang.org/x/mobile",
        replace = "golang.org/x/mobile",
        sum = "h1:4+4C/Iv2U4fMZBiMCc98MG1In4gJY5YRhtpDNeDeHWs=",
        version = "v0.0.0-20190719004257-d2bd2a29d028",
    )
    go_repository(
        name = "org_golang_x_mod",
        importpath = "golang.org/x/mod",
        replace = "golang.org/x/mod",
        sum = "h1:RM4zey1++hCTbCVQfnWeKs9/IEsaBLA8vTkd0WVtmH4=",
        version = "v0.3.0",
    )

    go_repository(
        name = "org_golang_x_net",
        build_naming_convention = "go_default_library",
        importpath = "golang.org/x/net",
        replace = "golang.org/x/net",
        sum = "h1:VXak5I6aEWmAXeQjA+QSZzlgNrpq9mjcfDemuexIKsU=",
        version = "v0.0.0-20200707034311-ab3426394381",
    )

    go_repository(
        name = "org_golang_x_oauth2",
        build_naming_convention = "go_default_library",
        importpath = "golang.org/x/oauth2",
        replace = "golang.org/x/oauth2",
        sum = "h1:pE8b58s1HRDMi8RDc79m0HISf9D4TzseP40cEA6IGfs=",
        version = "v0.0.0-20191202225959-858c2ad4c8b6",
    )

    go_repository(
        name = "org_golang_x_sync",
        build_naming_convention = "go_default_library",
        importpath = "golang.org/x/sync",
        replace = "golang.org/x/sync",
        sum = "h1:vcxGaoTs7kV8m5Np9uUNQin4BrLOthgV7252N8V+FwY=",
        version = "v0.0.0-20190911185100-cd5d95a43a6e",
    )

    go_repository(
        name = "org_golang_x_sys",
        build_naming_convention = "go_default_library",
        importpath = "golang.org/x/sys",
        replace = "golang.org/x/sys",
        sum = "h1:5/PjkGUjvEU5Gl6BxmvKRPpqo2uNMv4rcHBMwzk/st8=",
        version = "v0.0.0-20200622214017-ed371f2e16b4",
    )
    go_repository(
        name = "org_golang_x_term",
        importpath = "golang.org/x/term",
        sum = "h1:JGgROgKl9N8DuW20oFS5gxc+lE67/N3FcwmBPMe7ArY=",
        version = "v0.0.0-20210927222741-03fcf44c2211",
    )

    go_repository(
        name = "org_golang_x_text",
        build_naming_convention = "go_default_library",
        importpath = "golang.org/x/text",
        replace = "golang.org/x/text",
        sum = "h1:cokOdA+Jmi5PJGXLlLllQSgYigAEfHXJAERHVMaCc2k=",
        version = "v0.3.3",
    )
    go_repository(
        name = "org_golang_x_time",
        build_naming_convention = "go_default_library",
        importpath = "golang.org/x/time",
        replace = "golang.org/x/time",
        sum = "h1:/5xXl8Y5W96D+TtHSlonuFqGHIWVuyCkGJLwGh9JJFs=",
        version = "v0.0.0-20191024005414-555d28b269f0",
    )
    go_repository(
        name = "org_golang_x_tools",
        importpath = "golang.org/x/tools",
        replace = "golang.org/x/tools",
        sum = "h1:HHeAlu5H9b71C+Fx0K+1dGgVFN1DM1/wz4aoGOA5qS8=",
        version = "v0.0.0-20200616133436-c1934b75d054",
    )

    go_repository(
        name = "org_golang_x_xerrors",
        build_naming_convention = "go_default_library",
        importpath = "golang.org/x/xerrors",
        replace = "golang.org/x/xerrors",
        sum = "h1:E7g+9GITq07hpfrRu66IVDexMakfv52eLZ2CXBWiKr4=",
        version = "v0.0.0-20191204190536-9bdfabe68543",
    )

    go_repository(
        name = "org_gonum_v1_gonum",
        build_naming_convention = "go_default_library",
        importpath = "gonum.org/v1/gonum",
        replace = "gonum.org/v1/gonum",
        sum = "h1:4r+yNT0+8SWcOkXP+63H2zQbN+USnC73cjGUxnDF94Q=",
        version = "v0.6.2",
    )

    go_repository(
        name = "org_gonum_v1_netlib",
        build_naming_convention = "go_default_library",
        importpath = "gonum.org/v1/netlib",
        replace = "gonum.org/v1/netlib",
        sum = "h1:jRyg0XfpwWlhEV8mDfdNGBeSJM2fuyh9Yjrnd8kF2Ts=",
        version = "v0.0.0-20190331212654-76723241ea4e",
    )
    go_repository(
        name = "org_gonum_v1_plot",
        importpath = "gonum.org/v1/plot",
        replace = "gonum.org/v1/plot",
        sum = "h1:Qh4dB5D/WpoUUp3lSod7qgoyEHbDGPUWjIbnqdqqe1k=",
        version = "v0.0.0-20190515093506-e2840ee46a6b",
    )

    go_repository(
        name = "org_modernc_cc",
        build_naming_convention = "go_default_library",
        importpath = "modernc.org/cc",
        replace = "modernc.org/cc",
        sum = "h1:nPibNuDEx6tvYrUAtvDTTw98rx5juGsa5zuDnKwEEQQ=",
        version = "v1.0.0",
    )

    go_repository(
        name = "org_modernc_golex",
        build_naming_convention = "go_default_library",
        importpath = "modernc.org/golex",
        replace = "modernc.org/golex",
        sum = "h1:wWpDlbK8ejRfSyi0frMyhilD3JBvtcx2AdGDnU+JtsE=",
        version = "v1.0.0",
    )

    go_repository(
        name = "org_modernc_mathutil",
        build_naming_convention = "go_default_library",
        importpath = "modernc.org/mathutil",
        replace = "modernc.org/mathutil",
        sum = "h1:93vKjrJopTPrtTNpZ8XIovER7iCIH1QU7wNbOQXC60I=",
        version = "v1.0.0",
    )

    go_repository(
        name = "org_modernc_strutil",
        build_naming_convention = "go_default_library",
        importpath = "modernc.org/strutil",
        replace = "modernc.org/strutil",
        sum = "h1:XVFtQwFVwc02Wk+0L/Z/zDDXO81r5Lhe6iMKmGX3KhE=",
        version = "v1.0.0",
    )

    go_repository(
        name = "org_modernc_xc",
        build_naming_convention = "go_default_library",
        importpath = "modernc.org/xc",
        replace = "modernc.org/xc",
        sum = "h1:7ccXrupWZIS3twbUGrtKmHS2DXY6xegFua+6O3xgAFU=",
        version = "v1.0.0",
    )
    go_repository(
        name = "org_mongodb_go_mongo_driver",
        build_naming_convention = "go_default_library",
        importpath = "go.mongodb.org/mongo-driver",
        replace = "go.mongodb.org/mongo-driver",
        sum = "h1:jxcFYjlkl8xaERsgLo+RNquI0epW6zuy/ZRQs6jnrFA=",
        version = "v1.1.2",
    )

    go_repository(
        name = "org_uber_go_atomic",
        build_naming_convention = "go_default_library",
        importpath = "go.uber.org/atomic",
        replace = "go.uber.org/atomic",
        sum = "h1:cxzIVoETapQEqDhQu3QfnvXAV4AlzcvUCxkVUFw3+EU=",
        version = "v1.4.0",
    )

    go_repository(
        name = "org_uber_go_multierr",
        build_naming_convention = "go_default_library",
        importpath = "go.uber.org/multierr",
        replace = "go.uber.org/multierr",
        sum = "h1:HoEmRHQPVSqub6w2z2d2EOVs2fjyFRGyofhKuyDq0QI=",
        version = "v1.1.0",
    )

    go_repository(
        name = "org_uber_go_zap",
        build_naming_convention = "go_default_library",
        importpath = "go.uber.org/zap",
        replace = "go.uber.org/zap",
        sum = "h1:ORx85nbTijNz8ljznvCMR1ZBIPKFn3jQrag10X2AsuM=",
        version = "v1.10.0",
    )
    go_repository(
        name = "tools_gotest",
        build_naming_convention = "go_default_library",
        importpath = "gotest.tools",
        replace = "gotest.tools",
        sum = "h1:VsBPFP1AI068pPrMxtb/S8Zkgf9xEmTLJjfM+P5UIEo=",
        version = "v2.2.0+incompatible",
    )
    go_repository(
        name = "tools_gotest_v3",
        importpath = "gotest.tools/v3",
        replace = "gotest.tools/v3",
        sum = "h1:kG1BFyqVHuQoVQiR1bWGnfz/fmHvvuiSPIV7rvl360E=",
        version = "v3.0.2",
    )
